commit b8cf68e2c46259308a2ef54f8b0556c4bd7f109b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Aug 4 12:51:31 2008 -0600

    Updated the TODO file.

 TODO |   20 ++++++++------------
 1 files changed, 8 insertions(+), 12 deletions(-)

commit 3e256450ab0ba4a7f1d8ad9858082e25fd98e219
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Aug 4 12:39:20 2008 -0600

    Bumped version to 1.40, rewriting the biggest NEWS entry.

 NEWS    |   10 +++++-----
 VERSION |    2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit ebd5f78fca40cdf8494924494340eaf3b9c6c5e3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Aug 3 20:25:56 2008 -0600

    Dropped use of iobuf in make_{in,out}_connection in favor of bare FDs.

 TODO                      |    2 --
 backend.h                 |    6 +++---
 list.c                    |   32 +++++++++++++++++---------------
 retr.c                    |    6 +++---
 socket.c                  |   35 ++++++++++++++---------------------
 store.c                   |    6 +++---
 tests/backend-list-modes  |   16 ++++++++--------
 tests/backend-list-params |   30 +++++++++++++++---------------
 twoftpd-drop.c            |    9 ++++-----
 9 files changed, 67 insertions(+), 75 deletions(-)

commit b4355c852690c020b7820bd2467e6f474fef03f1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 1 18:38:57 2008 -0600

    Moved all callers of respond_bytes into a simpler respond_xferresult routine

 TODO                        |    2 -
 list.c                      |   25 +++----------
 respond.c                   |   18 ++++++++-
 retr.c                      |   17 +++------
 store.c                     |   17 +++------
 tests/backend-appe          |    2 +-
 tests/backend-interrupt     |   12 +++---
 tests/backend-list-modes    |   48 ++++++++++++------------
 tests/backend-list-params   |   82 +++++++++++++++++++++---------------------
 tests/backend-list-specials |    4 +-
 tests/backend-lockhome      |    4 +-
 tests/backend-rest          |    4 +-
 tests/backend-retr          |   16 ++++----
 tests/backend-softchroot    |    6 ++--
 tests/backend-store         |   24 ++++++------
 twoftpd-drop.c              |    4 +-
 twoftpd.h                   |    3 +-
 17 files changed, 135 insertions(+), 153 deletions(-)

commit 8a2f447903b3e0e4e3823c638da5cb587cbabc28
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 1 18:05:35 2008 -0600

    Modified listing to handle interruptions as well.

 NEWS   |    6 +++---
 TODO   |   10 ++--------
 list.c |   43 +++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 46 insertions(+), 13 deletions(-)

commit 60f47e3bdc4125c464bd7544bbcd9815fb8c93ed
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 1 16:59:14 2008 -0600

    Expose the network writing function from copy_xlate.

 backend.h |    2 ++
 copy.c    |   40 +++++++++++++++++++++++++---------------
 2 files changed, 27 insertions(+), 15 deletions(-)

commit d5cbbfe319ed3fb917f80c6e04a550fd0dfcd7f5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 1 16:37:19 2008 -0600

    Modified listing to create a full line before outputting it.
    
    This change consolidates the output handling to a single call, so as to
    simplify handling timeouts and interruptions in that single call.

 list.c |   89 ++++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 48 insertions(+), 41 deletions(-)

commit 8cd52aff13ed2ddeca54adc61dc6d85756ac40c2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 1 13:23:29 2008 -0600

    Dropped use of open_in in show_message_file, fixing a longstanding bug.

 NEWS                      |    2 ++
 backend.h                 |    1 -
 messagefile.c             |   23 ++++++++++++++++-------
 path.c                    |    9 ---------
 tests/backend-messagefile |   31 +++++++++++++++++++++++++++++++
 5 files changed, 49 insertions(+), 17 deletions(-)
 create mode 100644 tests/backend-messagefile

commit dad89ebe0babdbe0f5483516537a5a7b0ea6b992
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 1 12:54:45 2008 -0600

    Dropped the use of open_in/ibuf in handle_retr

 retr.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 1f94ef50b157885bd2bcbf8af0980e1760499cf4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 31 17:59:51 2008 -0600

    Moved open_out into store.c, dropping the use of obuf to hold the file.

 backend.h |    2 +-
 path.c    |   11 +----------
 store.c   |   21 +++++++++++----------
 3 files changed, 13 insertions(+), 21 deletions(-)

commit 8201610d35478268843bb131d957efcbe786b8cb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 31 17:28:07 2008 -0600

    Drop the use of iobuf parameters from copy_xlate_close

 backend.h |    2 +-
 copy.c    |   17 +++++++++--------
 retr.c    |    2 +-
 store.c   |    2 +-
 4 files changed, 12 insertions(+), 11 deletions(-)

commit e8d2d4c4a76f53efb79605233267b876670dc1e1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 31 16:30:28 2008 -0600

    Any errors from closing the input file can be ignored in copy_xlate_close.

 copy.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit de8abe9da24e657fab2c2333fa929f7f879a336b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 31 16:19:14 2008 -0600

    Use read/write directly in copy_xlate to avoid EAGAIN issues.

 copy.c |   58 +++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 33 insertions(+), 25 deletions(-)

commit 11c84cdcfb20aaee49ccea4a3aa52c95552db53a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 31 14:04:14 2008 -0600

    Simplify a set of conditional expressions in the listing code.

 list.c |   11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

commit c5473eb88b589cd565b3f396b319fe372b6faf0c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 30 16:27:56 2008 -0600

    Eliminate two unused variables.

 retr.c  |    1 -
 store.c |    1 -
 2 files changed, 0 insertions(+), 2 deletions(-)

commit d8325280cfacd3c1c132fc58982e1332ed58f4e3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 30 16:27:32 2008 -0600

    Use ipv4_scan instead of the deprecated ipv4_parse in -bind-port.

 twoftpd-bind-port.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 225180aaa2b145e84cc6781912a5b38f76d9b4d3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 30 16:21:32 2008 -0600

    Pushed the timeout value into callers of copy_xlate, and out of socket.c.

 TODO      |    2 +-
 backend.h |    2 +-
 copy.c    |   10 +++++-----
 list.c    |    1 +
 retr.c    |    3 ++-
 socket.c  |    2 --
 store.c   |    3 ++-
 7 files changed, 12 insertions(+), 11 deletions(-)

commit cfcd12e29ecb0acc550e60c2cce89209f8e11755
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 30 16:13:50 2008 -0600

    Push the poll timeout value into copy_xlate.

 copy.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit e0ead7f42efe3c052eb026785251415fdd9acc0b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 30 15:55:23 2008 -0600

    Handle interruptions to data transfers on the command channel.

 NEWS                    |    4 +++-
 TODO                    |    2 ++
 copy.c                  |   39 ++++++++++++++++++++++++++++++++++++++-
 retr.c                  |   13 ++++++++-----
 store.c                 |   13 ++++++++-----
 tests.inc               |    3 ++-
 tests/backend-interrupt |   32 +++++++++++++++++++++++++++++---
 xfer-test               |   26 ++++++++++++++++++++------
 8 files changed, 110 insertions(+), 22 deletions(-)

commit f7d17d757ee2c36091b248e350b568ff85c77673
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 23 22:59:02 2008 -0600

    Improved reporting of interrupted transfers.

 NEWS                    |    2 ++
 copy.c                  |   13 +++++++++++--
 retr.c                  |    4 +++-
 store.c                 |    2 ++
 tests.inc               |    1 +
 tests/backend-interrupt |   20 ++++++++++++++++++++
 xfer-test               |   47 +++++++++++++++++++++++++++++++----------------
 7 files changed, 70 insertions(+), 19 deletions(-)
 create mode 100644 tests/backend-interrupt

commit edbe94eb4963dca39142ccd0ee4d19ff25f1988f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 23 16:37:41 2008 -0600

    Set default values in xfer-test for env vars used by the backends.

 xfer-test |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 3ff550dacd094d3c7c116d267ac2fcea62990b8f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 23 16:12:31 2008 -0600

    Moved a snippet of common code out of the IO functions in xfer-test.

 xfer-test |   16 ++++++----------
 1 files changed, 6 insertions(+), 10 deletions(-)

commit ba3a97865b2441bed85644d6e56454b20300ddf8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 22 23:12:19 2008 -0600

    Fixed the error code in handle_pasv when creating the socket failed.

 socket.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7998de08888916a5a67abd90084ddf1fad02e24f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 22 23:00:36 2008 -0600

    Moved the close function calls into copy_xlate, rename to copy_xlate_close

 backend.h |   12 ++++++------
 copy.c    |   28 ++++++++++++++++++++++++----
 retr.c    |    6 ++----
 store.c   |    6 ++----
 4 files changed, 34 insertions(+), 18 deletions(-)

commit 49a5997d8ce313e8a3e3256a71c9f0d2dae2a244
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 22 18:16:47 2008 -0600

    Changed the return value convention for copy_xlate.
    
    System errors are now cause a -1 return, and success returns 0.  This
    will be extended to have interruptions return 1.

 copy.c  |   13 +++++++++----
 retr.c  |    6 +++---
 store.c |    6 +++---
 3 files changed, 15 insertions(+), 10 deletions(-)

commit 2652f3bd42dbb19bed6e218c0c8cd7804e2bd539
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 22 17:57:47 2008 -0600

    Merged the two network copy routines into one, copy_xlate.

 backend.h               |    8 ++++++
 backend=l               |    1 +
 messagefile.c => copy.c |   50 ++++++++++++++++++++++++-------------
 retr.c                  |   63 ++++++++++++++--------------------------------
 store.c                 |   48 ++++++++++++-----------------------
 5 files changed, 77 insertions(+), 93 deletions(-)
 copy messagefile.c => copy.c (50%)

commit 11118e343297426ec95fe30ad383113fc07edee8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 22 17:54:40 2008 -0600

    Bumped version to 1.31

 NEWS    |    5 +++++
 VERSION |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 0ae358db32af67d29a2cd0bb2d0579e6f3dfb861
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 22 15:19:35 2008 -0600

    Fixed up some problems in the README

 README.in |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 1ff33fa5176897a79209d18727cdb7042c16248e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 10 16:00:20 2008 -0600

    Tweaked some printfs in tests to fix a problem with ksh.

 tests.inc           |    2 +-
 tests/make-good-cvm |   10 +---------
 2 files changed, 2 insertions(+), 10 deletions(-)

commit 3991d72f9b27899f70eb5cde451af1ee4a33ca25
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 10 15:56:03 2008 -0600

    Expanded some notes in the README.

 README.in |   29 ++++++++++++++++++++++++-----
 1 files changed, 24 insertions(+), 5 deletions(-)

commit d1850e31ae37dd4bb483470ea375b34b31976669
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 10 15:55:40 2008 -0600

    Added -D_FILE_OFFSET_BITS=64 to the compile flags in the spec.

 spec |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ce68b0674746f145fe2517065adedb4bc7e4ec33
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 10 12:46:22 2008 -0600

    Added tests for LOCKHOME and SOFTCHROOT behavior.

 TODO                     |    3 ++-
 tests/backend-lockhome   |   29 +++++++++++++++++++++++++++++
 tests/backend-softchroot |   36 ++++++++++++++++++++++++++++++++++++
 3 files changed, 67 insertions(+), 1 deletions(-)
 create mode 100644 tests/backend-lockhome
 create mode 100644 tests/backend-softchroot

commit eeeb21f125b7e755e4500d8d870af4579b316aad
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 10 12:15:44 2008 -0600

    Added test to ensure -drop doesn't overwrite existing files.

 tests/backend-store |   41 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 41 insertions(+), 0 deletions(-)

commit c1c535c0be9e9447ede374bd5a65a324c397420c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 10 11:39:26 2008 -0600

    Added self tests for the -drop backend.

 tests.inc                 |    2 +-
 tests/backend-appe        |   12 ++++++-
 tests/backend-cdup-pwd    |   10 +++++-
 tests/backend-chmod       |    6 +++-
 tests/backend-commands    |   74 ++++++++++++++++++++++++++++++++++++++++++-
 tests/backend-cwd-pwd     |   10 +++++-
 tests/backend-dele        |    6 +++-
 tests/backend-greeting    |    8 ++++-
 tests/backend-list-modes  |   42 ++++++++++++++++++++++++-
 tests/backend-list-params |   77 ++++++++++++++++++++++++++++++++++++++++++++-
 tests/backend-mdtm        |    5 ++-
 tests/backend-mdtm2       |    6 +++-
 tests/backend-mkd-rmd     |    9 +++++-
 tests/backend-mode        |    7 +++-
 tests/backend-rest        |    5 ++-
 tests/backend-retr        |   22 ++++++++++++-
 tests/backend-rnfrto      |   15 ++++++++-
 tests/backend-size        |    5 ++-
 tests/backend-store       |   30 +++++++++++++++++-
 tests/backend-stru        |    7 +++-
 tests/backend-type        |   13 +++++++-
 21 files changed, 350 insertions(+), 21 deletions(-)

commit b8fcb2158900c9b08d2ae3ce87e268daf5bc3bba
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 10 10:57:56 2008 -0600

    Dropped the use of SOFTCHROOT in preparation for testing CHROOT modes.

 tests.inc              |    3 +--
 tests/backend-cdup-pwd |   16 ++++++++--------
 tests/backend-commands |    8 ++++----
 tests/backend-cwd-pwd  |   16 ++++++++--------
 4 files changed, 21 insertions(+), 22 deletions(-)

commit cb77897b029f0fdacd0194a7af313e80856039df
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 10 10:42:22 2008 -0600

    Bumped version to 1.30 due to significant changes in this release.

 NEWS    |    2 +-
 VERSION |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit bccb4607464036f9e8d2b192b7fa7fd15e06df49
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 9 20:30:19 2008 -0600

    Scale down the transfer rate to kB, MB, etc when it gets large.

 respond.c |    8 ++++++++
 xfer-test |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 04d2f565050eb13ebea83440db16286de3106f9c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 9 20:19:51 2008 -0600

    Added a transfer rate indicator to responses.

 NEWS      |    2 ++
 respond.c |   17 ++++++++++++++++-
 socket.c  |    1 +
 twoftpd.h |    1 +
 xfer-test |    1 +
 5 files changed, 21 insertions(+), 1 deletions(-)
 mode change 100644 => 100755 xfer-test

commit 6d09b9262a72bb24133a49ec0bb775169599296b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 9 16:21:15 2008 -0600

    Updated the copyright year and email address.

 README.in           |    2 +-
 backend.c           |    2 +-
 banner.c            |    2 +-
 conf.c              |    2 +-
 list.c              |    2 +-
 log.c               |    2 +-
 main.c              |    2 +-
 messagefile.c       |    2 +-
 path.c              |    2 +-
 respond.c           |    2 +-
 responses.c         |    2 +-
 retr.c              |    2 +-
 socket.c            |    2 +-
 spec                |    2 +-
 stat.c              |    2 +-
 state.c             |    2 +-
 statmod.c           |    2 +-
 store.c             |    2 +-
 strtou.c            |    2 +-
 twoftpd-anon-conf.c |    2 +-
 twoftpd-anon.c      |    2 +-
 twoftpd-auth.c      |    2 +-
 twoftpd-bind-port.c |    2 +-
 twoftpd-conf.c      |    2 +-
 twoftpd-drop.c      |    2 +-
 twoftpd-switch.c    |    2 +-
 twoftpd-xfer.c      |    2 +-
 27 files changed, 27 insertions(+), 27 deletions(-)

commit 2be0a6f81f64c3326c137d246433407d4e3f5f00
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 9 12:00:36 2008 -0600

    Rewrote the directory listing code.

 NEWS                      |    3 +-
 list.c                    |   62 +++++++++++++++++++++++++++++---------------
 tests/backend-list-params |   11 +++++++-
 3 files changed, 53 insertions(+), 23 deletions(-)

commit c7ed4b8d253ec3c9e36f419d3f08e9d65e904e3c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 8 12:36:34 2008 -0600

    Added a $AUTH_ATTEMPTS control to twoftpd-auth.

 NEWS                |    3 +++
 tests/auth-attempts |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 twoftpd-auth.1      |    4 ++++
 twoftpd-auth.c      |   13 ++++++++++++-
 4 files changed, 67 insertions(+), 1 deletions(-)
 create mode 100644 tests/auth-attempts

commit 10b5afa4b918c85dd96feb58a5be0ca561a3eb90
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 8 12:22:48 2008 -0600

    Switched to the CVM v2 client library.

 NEWS                |    2 ++
 spec                |    2 +-
 tests.inc           |    4 +++-
 tests/make-good-cvm |   16 ++++++++--------
 twoftpd-auth.c      |   10 ++++------
 twoftpd-auth=x      |    2 +-
 6 files changed, 19 insertions(+), 17 deletions(-)

commit 97143d8b8261989f07587409617cd7c9b2d57675
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 27 16:29:01 2008 -0600

    Use fmt_ulldec instead of snprintf in stat.c to allow for large sizes.

 stat.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 4e0e992b277e73caba7b1199d86160f45541ca85
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 27 15:52:55 2008 -0600

    Use a ull format in list.c to properly output large file sizes.

 list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cf520f94549e469a29a0bdfa355c4c9606c0900e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 27 15:52:21 2008 -0600

    Use fmt_multi instead of snprintf in socket.c

 socket.c |   11 +++++------
 spec     |    2 +-
 2 files changed, 6 insertions(+), 7 deletions(-)

commit 16f7738a0ec4d8cfe7b34699ffbf0f4829767774
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jun 11 23:19:41 2007 +0000

    Use the @YEAR@ macro for the copyright year in the README.

 README.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d15cb3f205764a47f9731b724fd82843241eebfa
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri May 18 23:29:52 2007 +0000

    Fixed listing files with special characters in their names.

 NEWS                        |    1 +
 list.c                      |   13 ++++++++++---
 tests/backend-list-specials |   23 +++++++++++++++++++++++
 3 files changed, 34 insertions(+), 3 deletions(-)
 create mode 100644 tests/backend-list-specials

commit 2c91e83603b918642481e2e95efb323307d6f1b7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri May 12 23:58:56 2006 +0000

    Bumped version to 1.22

 NEWS    |    6 ++++++
 VERSION |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit feae98140f7ae7609d9b8532e64368886fd61c8f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 20 18:20:26 2006 +0000

    Fixed missing BuildRequires: cvm-devel in the spec.  Thanks Charlie Brady

 spec |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 8b5d2e66673be97a5bf8ffa3948ac649deffb097
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 18 23:46:56 2006 +0000

    Added this year to the README file.

 README.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8ee6c6f2ad7c1ff77c68aa36f39a0eba98d6b196
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 18 23:44:51 2006 +0000

    Fixed some portability issues in the test cases.

 tests/auth-cvm-bad-data |    2 +-
 tests/auth-timeout      |   11 ++++++++---
 tests/make-home         |    2 +-
 3 files changed, 10 insertions(+), 5 deletions(-)

commit b74c633c6008ec39796a5d0f02a603420aa73aed
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 18 19:27:47 2006 +0000

    Apparently the shell printf command's handling of octal sequences has
    changed to be C compatible.

 tests/make-good-cvm |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit a9bc8adfda604efbc500d8621e25d6ea0a45050e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Apr 17 21:59:19 2006 +0000

    Adjusted the spec to use the new install target.

 spec |    7 +------
 1 files changed, 1 insertions(+), 6 deletions(-)

commit 6583df913e957351cd47c55e3c96cc000d48cc20
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 11 23:12:58 2006 +0000

    Switched installer to use bg-installer.

 INSTHIER   |   15 +++++++++++++++
 insthier.c |   23 -----------------------
 spec       |    2 +-
 3 files changed, 16 insertions(+), 24 deletions(-)
 create mode 100644 INSTHIER
 delete mode 100644 insthier.c

commit 0b17e2b33900e2105049da79bd9efb3d732348c5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 11 22:59:48 2006 +0000

    Renamed Copyright: to License: in spec.

 spec |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d9baa942af336a35afb13b8ca8703022b390cc4d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 11 22:59:35 2006 +0000

    Added the ChangeLog to the list of distributed files.

 makedist.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f1de9ad433916dd1b9a81d5c7f5afce4a193ae10
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 24 01:14:31 2005 +0000

    Fixed a compile failure on FreeBSD in the newer MDTM command.
    Thanks Sergei Kolobov <lists-bgware@kolobov.com>

 NEWS      |    3 +++
 statmod.c |    4 ++++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 7a080dbf40a46004bef421fb824f4e38c0c7aba9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 21 18:20:22 2005 +0000

    Use -lbg instead of individual -lbg-* libraries.

 twoftpd-anon-conf=x |    3 +--
 twoftpd-anon=x      |    6 +-----
 twoftpd-auth=x      |    4 +---
 twoftpd-bind-port=x |    5 +----
 twoftpd-conf=x      |    3 +--
 twoftpd-drop=x      |    6 +-----
 twoftpd-xfer=x      |    6 +-----
 7 files changed, 7 insertions(+), 26 deletions(-)

commit 6c68beadde4feec26f41fec3fd6e04f441be029c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 21 18:09:26 2005 +0000

    Added a fake (empty) listing routine to twoftpd-drop.

 NEWS           |    3 +++
 twoftpd-drop.c |   14 ++++++++++++++
 2 files changed, 17 insertions(+), 0 deletions(-)

commit c54940cb70e7d0e5965c657a4d5191cb59b0eb5f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 21 18:07:46 2005 +0000

    Bumped version to 1.21

 NEWS    |    5 +++++
 VERSION |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit bb63f6b33df79c7800b52d61271c789734a1d5ef
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 21 16:20:03 2005 +0000

    Updated the required versions and web site URLs.

 spec |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit adf9027a162e3f3233d69435c8bb3304b34e1ade
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 20 23:37:22 2005 +0000

    Bumped version to 1.20.

 NEWS    |    2 +-
 VERSION |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 19c0a4c69fe9a8356e475c4e8805c2676fdeda1e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 20 23:36:32 2005 +0000

    Added some notes about ABOR.

 TODO |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 9499abeb70fd1f102fd89170329abb406aa661cb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 20 23:36:19 2005 +0000

    Somehow this got missed in the last commit of twoftpd-switch.c.

 twoftpd-switch.1 |   23 ++++++++++++++++-------
 1 files changed, 16 insertions(+), 7 deletions(-)

commit 3eb133230d938b9a1e911cd58ef4cb9c2ed3bf7d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 20 23:29:50 2005 +0000

    Rewrote twoftpd-switch to rely on environment variables exclusively to
    determine which back-end to use.

 NEWS             |    5 +++--
 twoftpd-switch.c |   51 +++++++++++++++++++++++++++++++++++++--------------
 2 files changed, 40 insertions(+), 16 deletions(-)

commit f68d6fc94b5429a6bfc9f521120ee7a29994d9f6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 20 22:54:56 2005 +0000

    Added twoftpd-drop, a write-only FTP server.

 NEWS                             |    2 ++
 backend.h                        |    1 +
 insthier.c                       |    1 +
 store.c                          |    7 ++++++-
 twoftpd-anon.c => twoftpd-drop.c |   15 ++++++---------
 twoftpd-anon=x => twoftpd-drop=x |    0 
 twoftpd-xfer.1                   |    4 ++++
 twoftpd-xfer.c                   |    2 ++
 8 files changed, 22 insertions(+), 10 deletions(-)
 copy twoftpd-anon.c => twoftpd-drop.c (80%)
 copy twoftpd-anon=x => twoftpd-drop=x (100%)

commit 7097a3baf8b9482cb31de22ea4afb788426ef39f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 20 16:49:02 2005 +0000

    Modify small directory sizes to make ReiserFS directories look like
    normal (ext[23] etc) ones with 4kB block size.

 tests.inc |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 6cb70c4550ae543bb83acd1c66e455efdcf3279f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jan 20 16:48:26 2005 +0000

    Use `ls` to compress spaces, to avoid differences in ls formatting.

 tests/backend-mdtm2 |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 8677a414c7bd01a39ef17c8a8a164dfb45156cb7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 18 03:58:50 2005 +0000

    I had it right the first time -- 230 means authenticated, 220 means
    ready for new user.

 backend.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 88da4b5674d0867c4560bd7aa9ccc41351230d5c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 18 00:06:28 2005 +0000

    Eliminated the bogus APPE-after-REST test.

 NEWS    |    2 ++
 store.c |    2 --
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2826a3f8c8979abe367dff2d9cd067979bb4d6ac
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jan 15 00:14:42 2005 +0000

    The startup code check was backwards -- authenticated should show 230.

 backend.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8f5e13c01650c9c511303d34de99a023148ada1c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jan 15 00:08:28 2005 +0000

    Added note about svn access.

 README.in |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 98a25cddff2ffdedb6e22b08b156980b673075d2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 14 23:50:55 2005 +0000

    Modified the backends (twoftpd-auth and twoftpd-xfer) to show a 220
    banner if the front end authenticated, and 230 if not.  This fixes
    problems some FTP clients have when running twoftpd-anon after
    authentication.  The codes had previously been hard-coded into the
    respective programs.

 NEWS                     |    5 +++++
 backend.c                |    6 ++++--
 backend.h                |    2 --
 tests/auth-cvm-good-data |    4 ++--
 tests/backend-greeting   |    9 ++++++---
 twoftpd-anon.c           |    3 +--
 twoftpd-auth.1           |    9 ++++++++-
 twoftpd-auth.c           |    5 +++--
 twoftpd-xfer.1           |   11 +++++++++++
 twoftpd-xfer.c           |    3 +--
 10 files changed, 41 insertions(+), 16 deletions(-)

commit 2a416b825f4d757aad8cd909ddc083beae78a109
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 14 05:29:17 2005 +0000

    Clarified error message on aborted connections.

 socket.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c8f108618ac96482895a71923218fcef73ed6116
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 7 19:08:24 2005 +0000

    Switched from wc to cksum when verifying that files arrived correctly to
    avoid issues with variable spaces with wc.

 tests/backend-appe  |    6 +++---
 tests/backend-store |   10 +++++-----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 33fce590fa69223b3d26264eafae3ad2cd886f21
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 7 19:07:25 2005 +0000

    Fixed usage of "tail +#" to "tail -n +#"

 tests.inc |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 8cd092bd3625a7681ea58e3499c35691f9509ae7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 7 18:00:41 2005 +0000

    Fixed bug exposed by Mozilla which tries to retrieve directories before
    listing them without re-issuing a connection command.  This is valid
    usage but would previously cause failures.

 NEWS   |    3 +++
 retr.c |    9 +++++++++
 2 files changed, 12 insertions(+), 0 deletions(-)

commit 75264c1bfeb718b3ca21eaca85f8212b723c7683
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 7 17:53:54 2005 +0000

    Make sure to close the output buffer on all errors.

 store.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit d3be1e195db48ba3fe23a40c8fa3cef54337f12c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 7 17:48:39 2005 +0000

    Make sure to close the input ibuf on all errors.

 retr.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 47a6e095383318cfa1f960ad12c4b78a8ea9805a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 7 17:40:55 2005 +0000

    Whoops, twoftpd-switch has a man page to install as well.

 insthier.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 05541636d6d741d2918c1a043e6be02dbcfe8d50
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jan 7 17:39:19 2005 +0000

    Added twoftpd-switch program.

 NEWS             |    3 +++
 insthier.c       |    1 +
 twoftpd-switch.1 |   19 +++++++++++++++++++
 twoftpd-switch.c |   31 +++++++++++++++++++++++++++++++
 twoftpd-switch=x |    3 +++
 5 files changed, 57 insertions(+), 0 deletions(-)
 create mode 100644 twoftpd-switch.1
 create mode 100644 twoftpd-switch.c
 create mode 100644 twoftpd-switch=x

commit 057d2f21dca03a05bc14fe84bc5712adee9df897
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Nov 26 04:40:55 2003 +0000

    Remove the extraneous trailing blank line.

 tests/backend-list-times |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 80d233304caf4dc70634916ecc0f3207301d2f6b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Nov 26 00:01:56 2003 +0000

    Added a test to check that time stamps are properly displayed.

 tests/backend-list-times |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)
 create mode 100644 tests/backend-list-times

commit c97128ec6eb9d2aba89cebe8ca5a114eee647c70
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 25 23:24:43 2003 +0000

    Cut off the timestamps from long listings so that differences in times
    won't affect the test results.

 tests/backend-list-modes  |   50 ++++++++++++++++++++++----------------------
 tests/backend-list-params |   26 +++++++++++-----------
 2 files changed, 38 insertions(+), 38 deletions(-)

commit 4f41c90530dcd96efaaaf32896d5c9207861582f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 25 22:37:39 2003 +0000

    I see no need to handle SITE UTIME anymore, since MDTM works and is far
    easier to parse.

 TODO |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 1db32eec57ead9534112df75cbf0f0323f306534
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 25 22:37:12 2003 +0000

    Added tests for the new MDTM modification command.

 tests/backend-mdtm2 |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)
 create mode 100644 tests/backend-mdtm2

commit 870e8ed41679555d0c8b378da220057220f56cc0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 25 21:55:58 2003 +0000

    Fix up the API for gettime to handle returning zero etc.

 statmod.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 090d7090c4b06f89deac5d4cc464b5157d6f3cd6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 25 21:53:51 2003 +0000

    Correct the returned timestamp to adjust for the current time zone.

 statmod.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6c85628ffb7dbfb78a70c4fbdebedcfd607f4f98
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 25 18:06:33 2003 +0000

    Split the date parsing code off from the MDTM command handler.

 statmod.c |   25 ++++++++++++++++++-------
 1 files changed, 18 insertions(+), 7 deletions(-)

commit f05449e7565e3487e9d1be3ca8c2d191f5d3c666
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 24 23:39:39 2003 +0000

    Added dual-mode MDTM command for setting file timestamps.

 NEWS           |    3 ++
 TODO           |    2 -
 backend.h      |    3 ++
 backend=l      |    1 +
 statmod.c      |   69 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 twoftpd-xfer.c |    2 +-
 6 files changed, 77 insertions(+), 3 deletions(-)
 create mode 100644 statmod.c

commit 964f42c09905fbb8243cf32e9099f2fcc7ced243
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 24 22:16:09 2003 +0000

    Make sure to open only regular files for reading/writing.

 NEWS    |    1 +
 path.c  |   34 ++++++++++++++++++++++++++++------
 store.c |    5 +++--
 3 files changed, 32 insertions(+), 8 deletions(-)

commit dc733fba7188927fdae5a5dbed3dab8b6d1a8a16
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 24 21:12:44 2003 +0000

    Switched list host to lists.untroubled.org

 README.in   |    4 ++--
 makedist.py |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 0a1a3ac3191360eef3ec1829de613d7fb0795d60
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 26 17:48:28 2003 +0000

    Clarified note about multiple anonymous servers.

 README.in |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit d1f639f0efdc83d513b748326212ff938482d740
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 21 14:18:50 2003 +0000

    Bumped up version number.

 NEWS    |    6 ++++++
 VERSION |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit c06786c904bfe29f9e010215ea225984dc1d13b7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 21 14:18:10 2003 +0000

    Print out error messages when the socket functions fail.

 twoftpd-bind-port.c |   30 ++++++++++++++++++++----------
 twoftpd-bind-port=x |    1 +
 2 files changed, 21 insertions(+), 10 deletions(-)

commit 002b23d002a840955be181c00789fb25481f81c5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 5 23:34:33 2003 +0000

    Bump up the version number.

 VERSION |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c5b7cab22ced82ed59f3413c639b5434b56b704c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 5 23:33:05 2003 +0000

    To avoid timing glitches, make sure to remove files before remaking.

 spec |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d78a4730eed96538fe3977032e386caca58e9a4e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 5 22:53:25 2003 +0000

    Fixed several shadowed global variable names.

 backend.c      |    6 ++++--
 list.c         |    6 +++---
 main.c         |   20 ++++++++++----------
 retr.c         |   14 +++++++-------
 socket.c       |   22 +++++++++++-----------
 twoftpd-auth.c |    6 ++++--
 twoftpd.h      |    2 +-
 7 files changed, 40 insertions(+), 36 deletions(-)

commit 71c792d885733a898f7951b97474b4fb4209170a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 5 22:42:18 2003 +0000

    Change (again) to new bglibs library setup.

 spec                |    6 +++---
 twoftpd-anon-conf=x |    4 ++--
 twoftpd-anon=x      |   10 +++++-----
 twoftpd-auth=x      |    8 ++++----
 twoftpd-bind-port=x |    6 +++---
 twoftpd-conf=x      |    4 ++--
 twoftpd-xfer=x      |   10 +++++-----
 7 files changed, 24 insertions(+), 24 deletions(-)

commit f355475d5c4b56dcb66661f2793ee07ce2fa37e1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 14 20:03:16 2003 +0000

    Treat a missing parameter to LIST/NLST as a request to list ".".
    This ensures that all list requests pass through path validation.

 list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 80e169a44f3c63a60eecee6caf1ebcf11d7eb9be
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 12 07:07:23 2003 +0000

    Updated tests.

 tests/backend-list-modes  |   16 ++++++++--------
 tests/backend-list-params |   23 ++++++++++++++++++-----
 tests/backend-mdtm        |    4 ++--
 tests/make-home           |    2 +-
 4 files changed, 29 insertions(+), 16 deletions(-)

commit 1b5bbded4da0af0afe95e00b4687a43f52158744
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 12 07:07:12 2003 +0000

    Fixed yet another bug in path prefix stripping.

 list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 26dc4214ffc010dc100a475fe061b27a2d6e4c96
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 11 00:48:51 2003 +0000

    Remember that ipv4addr's have to be passed by reference, not value now.

 socket.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 894a9420356acad9bd588ce41b636830e0e29690
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Feb 10 21:25:36 2003 +0000

    Updated link scripts for bglibs 1.006

 twoftpd-anon-conf=x |    4 ++--
 twoftpd-anon=x      |   12 +++++-------
 twoftpd-auth=x      |    8 ++++----
 twoftpd-bind-port=x |    7 +++----
 twoftpd-conf=x      |    4 ++--
 twoftpd-xfer=x      |   12 +++++-------
 6 files changed, 21 insertions(+), 26 deletions(-)

commit a6f35256c0b13f46151ef2ea1d294128eb5d2f4f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Feb 10 16:58:11 2003 +0000

    Updated the README file to make it templated.

 README => README.in |   10 +++-------
 1 files changed, 3 insertions(+), 7 deletions(-)
 rename README => README.in (90%)

commit 0fe7d0088488592d76e9fe9c43b8c16d8b4c0a61
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Feb 10 16:57:21 2003 +0000

    Updated for bglibs version 1.006

 NEWS                |    1 +
 socket.c            |   23 ++++++++++++-----------
 twoftpd-bind-port.c |    4 ++--
 3 files changed, 15 insertions(+), 13 deletions(-)

commit 89f62dd423a7c773e86a714a59056a5ca88467a2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Nov 20 05:00:11 2002 +0000

    Fixed copyright date.

 list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2398c9dea3f7f0bcf5668f5b64115402253109fd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Aug 27 09:36:12 2002 +0000

    Fixed bug in output when listing patterns like /foo/*

 NEWS   |    2 ++
 list.c |   17 +++++++++++++----
 2 files changed, 15 insertions(+), 4 deletions(-)

commit feb51fb3c9d58baeb95948b63ecac3b5d9d52e6b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jul 22 07:05:10 2002 +0000

    Set errno to EPERM on path validation failures.

 NEWS   |    2 ++
 path.c |    3 +++
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 536feb334546ca2099d2ffefe03fedcff3375af7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jul 20 05:15:43 2002 +0000

    Block paths starting with "/.".

 NEWS   |    2 ++
 path.c |    1 +
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 68c1c86e9b1aa6a65161b04b1e8b2633410ee6d4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jul 19 19:59:07 2002 +0000

    Check close return code.

 NEWS    |    1 +
 retr.c  |    2 +-
 store.c |    4 ++--
 3 files changed, 4 insertions(+), 3 deletions(-)

commit 3a6a8ae4c11aec23fb9d2a8608fe5a37e85edaa3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 17 07:25:37 2002 +0000

    Fixed a typo in listing permissions of sticky files.

 NEWS   |    8 ++++++++
 TODO   |    1 +
 list.c |    2 +-
 3 files changed, 10 insertions(+), 1 deletions(-)

commit 4c630c1091cf53c41b815d1a6183581e1312fb09
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jun 3 04:45:56 2002 +0000

    Added bglibs -I/-L flags.

 spec |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8939d5bff47d851d9be81888d1ab8ed286cad568
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jun 3 04:42:59 2002 +0000

    Bumped up date.

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9aa3a5edfbfc25cd2929ad110e5ee55c1b40729e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jun 3 03:14:50 2002 +0000

    Always reset startpos after the RETR command.

 retr.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 2a98f814434c55c6685e99be83655bef6d92edbd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jun 3 03:13:57 2002 +0000

    Added support for resuming uploads.

 NEWS      |    1 +
 backend.h |    1 +
 retr.c    |    2 +-
 store.c   |   16 ++++++++++++----
 4 files changed, 15 insertions(+), 5 deletions(-)

commit 39cf94e23a60bd7a83241bf1da66e084ba02f6d1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 1 02:31:33 2002 +0000

    Switched to using bglibs

 NEWS                |    1 +
 README.CVS          |   10 ----------
 backend.c           |    6 +++---
 backend.h           |    4 ++--
 backend=l           |    1 -
 conf.c              |    6 ++++--
 conf.h              |    2 +-
 insthier.c          |    2 +-
 list.c              |    8 ++++----
 log.c               |    2 +-
 main.c              |    4 ++--
 messagefile.c       |    2 +-
 path.c              |    2 +-
 respond.c           |    2 +-
 socket.c            |    6 +++---
 spec                |    1 +
 stat.c              |    2 +-
 state.c             |    2 +-
 twoftpd-anon-conf.c |    4 ++--
 twoftpd-anon-conf=x |    5 ++---
 twoftpd-anon=x      |   14 +++++++-------
 twoftpd-auth.c      |    4 ++--
 twoftpd-auth=x      |   10 ++++------
 twoftpd-bind-port.c |    8 +++-----
 twoftpd-bind-port=x |   10 ++++------
 twoftpd-conf.c      |    4 ++--
 twoftpd-conf=x      |    5 ++---
 twoftpd-xfer=x      |   14 +++++++-------
 28 files changed, 63 insertions(+), 78 deletions(-)
 delete mode 100644 README.CVS

commit e8f8c53f099bb31051336660c47be41fad856b06
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu May 30 03:38:32 2002 +0000

    Fixed incorrect UID number in results.

 tests/auth-cvm-good-data |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aec44d8cd5eff2ebd57aa2b9cc3bd628ab34dcde
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu May 30 03:33:47 2002 +0000

    Added missing "fork.h" include.

 twoftpd-bind-port.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d5980bfba1a9dc0ce32c488e90aa33db4078913a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu May 30 03:33:39 2002 +0000

    *** empty log message ***

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 711ff2fc5ef48131a94bc33b14a90a938a095b0c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed May 29 22:48:44 2002 +0000

    Removed extraneous iopoll.o object.

 twoftpd-anon=x |    1 -
 twoftpd-xfer=x |    1 -
 2 files changed, 0 insertions(+), 2 deletions(-)

commit cdf51fb7a8ef746c2723b00b23670dc714bf4b3b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed May 29 22:44:13 2002 +0000

    Bumped up version.

 README |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0acd8ba439938ba6867e697e0be8fc26aa41e668
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed May 29 22:35:44 2002 +0000

    *** empty log message ***

 NEWS |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit d6168deafea47e9052cf4a43301e38b17be75b53
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed May 29 22:35:23 2002 +0000

    Converted to using new iopoll_restart routine.

 socket.c            |    4 ++--
 twoftpd-anon=x      |    1 +
 twoftpd-bind-port.c |    7 +++----
 twoftpd-bind-port=x |    1 +
 twoftpd-xfer=x      |    1 +
 5 files changed, 8 insertions(+), 6 deletions(-)

commit 7247651b77ea8ffad874a8d73ec14f9e80f97263
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed May 29 12:20:07 2002 +0000

    Replaced the numerical constants with named constants in the telnet
    control code parser.

 main.c    |   17 +++++++++--------
 twoftpd.h |   18 +++++++++++++++++-
 2 files changed, 26 insertions(+), 9 deletions(-)

commit 7bd25b685e46ce94c0f6aecd9db749040f59429f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed May 29 12:18:01 2002 +0000

    *** empty log message ***

 TODO    |    8 --------
 VERSION |    2 +-
 2 files changed, 1 insertions(+), 9 deletions(-)

commit ed11e8f8df4d5fe7bd981753b7afb34cd6bc6bd6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed May 29 12:17:37 2002 +0000

    Added back-end code for the socket binding hack.

 backend.c |    8 ++++++++
 backend.h |    1 +
 socket.c  |   41 ++++++++++++++++++++++++++++++++---------
 3 files changed, 41 insertions(+), 9 deletions(-)

commit da23b2e81bcaadc2099eb27485b7891a8cf18820
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed May 29 12:15:04 2002 +0000

    Fixed a typo (write 1 byte, not 0) and change from a stream to a
    datagram socket pair.

 twoftpd-bind-port.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ac279cc207389c5e30cead22365e82eb139a13c3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed May 29 00:38:11 2002 +0000

    Added implementation of bound socket generator daemon.

 insthier.c          |   15 +++---
 twoftpd-bind-port.c |  128 +++++++++++++++++++++++++++++++++++++++++++++++++++
 twoftpd-bind-port=x |    7 +++
 3 files changed, 143 insertions(+), 7 deletions(-)
 create mode 100644 twoftpd-bind-port.c
 create mode 100644 twoftpd-bind-port=x

commit a94d48376745c092579f3529d180a52c7e6d397d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 19 03:09:18 2002 +0000

    Added missing include.

 backend.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d48590691caf96c89a95b3b29b9bff3b18b4f7e9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 19 03:08:50 2002 +0000

    *** empty log message ***

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3f61fd444be579c3a1900098f8ecfd44301bbac6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 19 03:07:12 2002 +0000

    Fixed some minor typos.

 tests/auth-commands       |   32 ++++++++++++++++----------------
 tests/auth-cvm-bad-data   |    2 +-
 tests/auth-cvm-good-data  |    2 +-
 tests/auth-cvm-invocation |    2 +-
 tests/auth-cvm-service    |    2 +-
 tests/auth-invocation     |    4 ++--
 tests/auth-output         |    2 +-
 tests/auth-timeout        |    2 +-
 tests/backend-list-modes  |   16 ++++++++--------
 tests/backend-list-params |    8 ++++----
 tests/backend-mdtm        |    4 ++--
 tests/make-home           |    2 +-
 12 files changed, 39 insertions(+), 39 deletions(-)

commit ae7c2b5d20ac8f0865829e2e49cbf3e4f20a2402
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 19 01:58:06 2002 +0000

    *** empty log message ***

 TODO |   20 +++++++-------------
 1 files changed, 7 insertions(+), 13 deletions(-)

commit e3bac7e1fe5d5452ecc8e1362c0cbb4b4308136e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Apr 19 01:58:01 2002 +0000

    Add missing man pages to files.

 spec |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bbd16ab93fd0b566d3e348fcd74447d6305227f5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 18 04:44:45 2002 +0000

    Fixed up this file to use cvm_setenv instead of doing it all manually.

 twoftpd-auth.c |   25 +------------------------
 1 files changed, 1 insertions(+), 24 deletions(-)

commit 7345fa04a17596bfc17e7dbc6f401606c90dfd62
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 18 04:20:15 2002 +0000

    Added support for handling supplemental group IDs.

 NEWS           |    2 ++
 backend.c      |   22 ++++++++++++++++++++++
 twoftpd-xfer.1 |    4 ++++
 3 files changed, 28 insertions(+), 0 deletions(-)

commit 9d3ab22fb9d14cf53a552494ca1b94c81ffc4248
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 18 03:09:32 2002 +0000

    Truncate user/group names to 8 characters once at startup, instead of
    each time a long item is listed.

 backend.c |   10 ++++++++--
 backend.h |    2 ++
 list.c    |   30 ++++++++++++++++--------------
 3 files changed, 26 insertions(+), 16 deletions(-)

commit 563b5951e0f5fdd7944f8ec33373db04fd971f35
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 17 09:47:17 2002 +0000

    *** empty log message ***

 TODO |   30 ++++++++++++++----------------
 1 files changed, 14 insertions(+), 16 deletions(-)

commit 0b5403ba65efd2fbd4f63a0911bffac8016c8bb0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 17 09:44:23 2002 +0000

    Abort connections if stdin becomes readable.

 NEWS     |    3 +++
 TODO     |    2 --
 socket.c |   39 ++++++++++++++++++++++++++++++---------
 3 files changed, 33 insertions(+), 11 deletions(-)

commit d642dbadb6d060dc55d0c3d504499950ab29c9d7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 17 00:08:42 2002 +0000

    *** empty log message ***

 TODO |   18 ++++++++++--------
 1 files changed, 10 insertions(+), 8 deletions(-)

commit a7384344bbf245323028cf662597665ea33a0c58
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Apr 17 00:02:53 2002 +0000

    Fixed handling of '*' indicator on executable files.
    Added support for '-p' flag.

 list.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 73613db6b3c0a1e3bc80efd7c4e000d17cdbb7ee
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 16 23:42:18 2002 +0000

    Rewrote list handling to add support for the "-F" flag.

 list.c |   90 +++++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 52 insertions(+), 38 deletions(-)

commit 5773bf5e6a85350c41301a5138f26dab12954ef9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 16 22:45:43 2002 +0000

    *** empty log message ***

 NEWS   |    2 ++
 README |    4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 96f0dd4d08ac1d6b9c47a23721f13a5c91b08f56
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 16 22:45:29 2002 +0000

    Fixed missing include and a warning.

 backend.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 2f0d0864031ccf1000c6aa130e50fada3353ead3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 16 22:42:34 2002 +0000

    When doing NLST, and the named file is not found, produce a 550 error.

 list.c |   36 ++++++++++++++++++------------------
 1 files changed, 18 insertions(+), 18 deletions(-)

commit 2a2235572a6e180ac6ea98fabf09d0e7531f7089
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 16 22:39:49 2002 +0000

    Move setting list_options out of list.c and into backend.c.

 backend.c |    1 +
 backend.h |    1 +
 list.c    |   13 ++++---------
 3 files changed, 6 insertions(+), 9 deletions(-)

commit ce4ac5c29169f7705a725c50249942cd5a10ade6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 16 04:54:03 2002 +0000

    *** empty log message ***

 TODO    |   14 ++++++++++++++
 VERSION |    2 +-
 2 files changed, 15 insertions(+), 1 deletions(-)

commit 41203ae0811b0d3fb08c44fc8afa7e4174de1dab
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 26 11:49:41 2002 +0000

    Touched up documentation on $USER and $GROUP.

 twoftpd-xfer.1 |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 264e4dd63089d511d67d1bb8f2ad33609339073a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 19 23:45:48 2002 +0000

    *** empty log message ***

 TODO |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 1a2aaebe753aaf63ee0c552bee4f951152e47d66
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 19 23:44:48 2002 +0000

    Use the unix/sig library instead of direct signal calls.

 main.c         |    4 ++--
 twoftpd-anon=x |    1 +
 twoftpd-auth=x |    1 +
 twoftpd-xfer=x |    1 +
 4 files changed, 5 insertions(+), 2 deletions(-)

commit 27739e2e6a1ee7420d869672b87a70de7696d8cf
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 19 03:20:14 2002 +0000

    Use new net library instead of old socket one.

 README.CVS     |    2 +-
 socket.c       |    2 +-
 twoftpd-anon=x |    2 +-
 twoftpd-auth=x |    2 +-
 twoftpd-xfer=x |    2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit a87f1c3a78af308b4a63fcf8df3b455e384397a8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 19 03:19:34 2002 +0000

    *** empty log message ***

 NEWS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit c8eef5cb3ab0dffcb68ae4d4c63c5ea2e12cde0c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 19 03:19:25 2002 +0000

    Fixed capitalization on banner string.

 twoftpd-auth.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8d43866d3bc7d781f6e2f91ff8e591812248895f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 19 03:19:03 2002 +0000

    It's OK to CWD to non-readable directories, as long as they're
    executable.

 state.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 216f8a6de78cccb14689cb989017b7b82ebf805e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Nov 27 06:13:40 2001 +0000

    Fixed a bug with the usage of getpwnam

 NEWS                |    3 +++
 twoftpd-anon-conf.c |   28 ++++++++++++++++++----------
 2 files changed, 21 insertions(+), 10 deletions(-)

commit ca63be7f626a70fdc9c75f100301fd6be458637e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Nov 9 10:10:10 2001 +0000

    Remember to uncork the socket before closing it.

 NEWS      |    7 +++++++
 backend.h |    1 +
 list.c    |    7 ++-----
 retr.c    |    2 +-
 socket.c  |   10 ++++++++++
 5 files changed, 21 insertions(+), 6 deletions(-)

commit e19b994c2fccda5bb9290721e7975a4a067809be
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Nov 4 03:55:19 2001 +0000

    Fixed up the "Opened connection" message.

 tests/backend-appe        |    2 +-
 tests/backend-list-modes  |   32 +++++++++++++++---------------
 tests/backend-list-params |   48 ++++++++++++++++++++++----------------------
 tests/backend-rest        |    4 +-
 tests/backend-retr        |   16 +++++++-------
 tests/backend-store       |    8 +++---
 6 files changed, 55 insertions(+), 55 deletions(-)

commit 73889de486a49bd60db5911623a9735f5127ad6a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Nov 4 03:51:57 2001 +0000

    Turn on SO_LINGER for outbound sockets, and SO_REUSE for all sockets.

 NEWS     |    4 ++++
 socket.c |   12 +++++++++---
 2 files changed, 13 insertions(+), 3 deletions(-)

commit ced980d1cbc5c0194c085fe482b7f63aafaf30a6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Nov 4 03:50:43 2001 +0000

    Bumped up version number.

 README  |    4 ++--
 VERSION |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 16f9fe6ad9b519e5821c02898ca15dc757346694
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Oct 20 00:12:53 2001 +0000

    Set the "cork" option on output sockets.

 NEWS     |    3 +++
 socket.c |    1 +
 2 files changed, 4 insertions(+), 0 deletions(-)

commit cd4ee86551e22e05fde42fe6473cbcf43218d76d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 19 04:52:49 2001 +0000

    Yet another revision, this time to remove the old bogus parts that got
    left behind.

 backend.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit efc5a89fa28761039404a7473afc8d6d14acd97e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 19 04:42:40 2001 +0000

    Uh, yeah, really fix the strip slashes stuff...

 backend.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 943d3d78a45804300a68d3a79844a102fc613577
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 19 04:38:07 2001 +0000

    Droped the release number back down to 1.

 spec |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d9a611a291e5bb71932c286c289c405f02b894e7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 19 04:37:53 2001 +0000

    Fixed the previous "trailing slash" patch to fixup $HOME instead of cwd.

 NEWS      |   21 +++++++++++++++++++++
 backend.c |    3 ++-
 2 files changed, 23 insertions(+), 1 deletions(-)

commit 086cb5d225e190c4cbbdf0b3460fbd5ec1987f14
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 19 04:33:20 2001 +0000

    Added the required "socket.lib" target.

 twoftpd-auth=x |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3f1970b6cadba12946044d890e69b43530b070a1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 19 04:30:01 2001 +0000

    Strip trailing slashes from the path, as they cause confusion.

 backend.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 66c2128b64dae357d05f2aef0d1de185561cd179
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Oct 18 03:04:30 2001 +0000

    Updated for new iobuf setup functions.

 socket.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4f4abb1e35522749e7a7971374f4f6eb496adf22
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 25 02:40:37 2001 +0000

    Report opening socket only after the socket is opened.
    Fix some other potential glitches.

 socket.c |   43 ++++++++++++++++++++++++++++++-------------
 1 files changed, 30 insertions(+), 13 deletions(-)

commit c4ad13412e436ab09237f614cd753311c5866eb1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 21 00:03:16 2001 +0000

    Added workaround for broken firewalls that add extra CRs.

 main.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 88fc3300af803bbd3465839dd239d391d9231062
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 14 04:12:39 2001 +0000

    Fixed up PASV response text.

 tests/backend-list-modes |   16 ++++++++--------
 tests/backend-retr       |    8 ++++----
 tests/backend-store      |    8 ++++----
 3 files changed, 16 insertions(+), 16 deletions(-)

commit 1c7c5b605066a2b686957c6b241a8e65a9b45626
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 14 04:12:26 2001 +0000

    Don't print an error message for EOF on stdin.

 main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4106b56bf02889d172d1238bc3b488ed39cda742
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 14 03:29:50 2001 +0000

    Added note about twoftpd-anon.

 twoftpd-xfer.1 |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 5b04e2d7edf03e7c596831adb96dbd64aa924407
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 14 03:01:22 2001 +0000

    Removed (now) duplicate definition of CR and LF.

 twoftpd.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 7a67bbf00a8a09e92f4ea0aaab24c666ce593778
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 14 02:33:25 2001 +0000

    Removed rts.* files.

 EXTRADIST |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 17af2b85338635b29f965cc394ccc3983588d0b1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 14 02:31:38 2001 +0000

    PASV response workaround for more broken FTP clients.

 NEWS     |    6 ++++--
 socket.c |    4 ++--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 1b05848dc7f57d6660499d265a18c545c4ffd8d3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 14 02:27:29 2001 +0000

    *** empty log message ***

 NEWS   |    3 +++
 README |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 7fdf57360b8fec20b88eaf53a084ca624a7cc218
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 14 02:23:54 2001 +0000

    Install a standard handler for SIGALRM to indicate that the session
    timed out and is being dropped.

 main.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 3f9864c9b652da07739de65af1cbf80fbce18c29
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 4 23:57:12 2001 +0000

    Provide proper connection timeout and system error messages.

 socket.c |   37 +++++++++++++++++++++++++------------
 1 files changed, 25 insertions(+), 12 deletions(-)

commit fd1339e4d8266db4d4558a370c09ef7dd42a1be5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 4 23:56:33 2001 +0000

    Add the result code to the respond_syserr parameters.

 respond.c |    4 ++--
 retr.c    |    2 +-
 stat.c    |    4 ++--
 store.c   |   12 ++++++------
 twoftpd.h |    2 +-
 5 files changed, 12 insertions(+), 12 deletions(-)

commit e1c0231e95d68bb546b978055990056decf33d25
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 4 23:55:16 2001 +0000

    Provide error messages on command timeout and I/O errors.

 main.c |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 00c61a43d1aa04cd6dd9a123406c23cf72bb19b1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 30 05:33:52 2001 +0000

    Added more tests.

 TODO                   |    5 +---
 tests.inc              |   65 ++++++++++++++++++++++++++++++++++++++++++++++++
 tests/backend-appe     |   29 +++++++++++++++++++++
 tests/backend-chmod    |   16 ++++++++++++
 tests/backend-dele     |   15 +++++++++++
 tests/backend-greeting |   14 ++++++++++
 tests/backend-store    |   65 ++++++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 205 insertions(+), 4 deletions(-)
 create mode 100644 tests.inc
 create mode 100644 tests/backend-appe
 create mode 100644 tests/backend-chmod
 create mode 100644 tests/backend-dele
 create mode 100644 tests/backend-greeting
 create mode 100644 tests/backend-store

commit 40d9927ba8c713e7c9c6ce6733dfed7b0779f0d1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 30 02:41:19 2001 +0000

    Converted tests to new test framework.

 tests/auth-commands       |   88 ++++++++
 tests/auth-cvm-bad-data   |    9 +
 tests/auth-cvm-good-data  |   15 ++
 tests/auth-cvm-invocation |   10 +
 tests/auth-cvm-service    |   13 +
 tests/auth-invocation     |   11 +
 tests/auth-output         |    7 +
 tests/auth-timeout        |    8 +
 tests/backend-cdup-pwd    |   19 ++
 tests/backend-commands    |  173 +++++++++++++++
 tests/backend-cwd-pwd     |   19 ++
 tests/backend-list-modes  |  143 ++++++++++++
 tests/backend-list-params |  197 +++++++++++++++++
 tests/backend-mdtm        |    9 +
 tests/backend-mkd-rmd     |   23 ++
 tests/backend-mode        |   13 +
 tests/backend-rest        |   25 ++
 tests/backend-retr        |  533 +++++++++++++++++++++++++++++++++++++++++++++
 tests/backend-rnfrto      |   33 +++
 tests/backend-size        |    9 +
 tests/backend-stru        |   13 +
 tests/backend-type        |   25 ++
 tests/delete-bad-cvm      |    3 +
 tests/delete-error-cvm    |    3 +
 tests/delete-good-cvm     |    3 +
 tests/delete-home         |    3 +
 tests/make-bad-cvm        |    3 +
 tests/make-error-cvm      |    3 +
 tests/make-good-cvm       |   13 +
 tests/make-home           |   13 +
 30 files changed, 1439 insertions(+), 0 deletions(-)
 create mode 100644 tests/auth-commands
 create mode 100644 tests/auth-cvm-bad-data
 create mode 100644 tests/auth-cvm-good-data
 create mode 100644 tests/auth-cvm-invocation
 create mode 100644 tests/auth-cvm-service
 create mode 100644 tests/auth-invocation
 create mode 100644 tests/auth-output
 create mode 100644 tests/auth-timeout
 create mode 100644 tests/backend-cdup-pwd
 create mode 100644 tests/backend-commands
 create mode 100644 tests/backend-cwd-pwd
 create mode 100644 tests/backend-list-modes
 create mode 100644 tests/backend-list-params
 create mode 100644 tests/backend-mdtm
 create mode 100644 tests/backend-mkd-rmd
 create mode 100644 tests/backend-mode
 create mode 100644 tests/backend-rest
 create mode 100644 tests/backend-retr
 create mode 100644 tests/backend-rnfrto
 create mode 100644 tests/backend-size
 create mode 100644 tests/backend-stru
 create mode 100644 tests/backend-type
 create mode 100644 tests/delete-bad-cvm
 create mode 100644 tests/delete-error-cvm
 create mode 100644 tests/delete-good-cvm
 create mode 100644 tests/delete-home
 create mode 100644 tests/make-bad-cvm
 create mode 100644 tests/make-error-cvm
 create mode 100644 tests/make-good-cvm
 create mode 100644 tests/make-home

commit 7cc5ebb6b72d4003d6e05a29243391a4ce4fe3da
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 30 02:41:12 2001 +0000

    Moved to new test framework.

 rts.exp   | 1887 -------------------------------------------------------------
 rts.sh    |    1 -
 rts.tests |  197 -------
 3 files changed, 0 insertions(+), 2085 deletions(-)
 delete mode 100644 rts.exp
 delete mode 100644 rts.sh
 delete mode 100644 rts.tests

commit 9820d5011001a91668e2c0094a953008586a1d36
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 30 02:41:03 2001 +0000

    *** empty log message ***

 TODO |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 7bd31fcaa79296520f135d002825c0a259f4f1c7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 30 02:40:54 2001 +0000

    Bumped up version

 README  |    2 +-
 VERSION |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6bc3a9df7f2918db4d26d17dd14376cc3e28295c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 30 02:40:24 2001 +0000

    Include system error message in STAT and MDTM.

 NEWS   |    9 +++++++++
 stat.c |    4 ++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit 85b22ee2ea6d273ec9ee44086695f3e96900173d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 30 02:39:03 2001 +0000

    Fixed bug: doing lists of "." when CWD is "/" would fail.

 list.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5780703b9c1cac2b93e453fdeca3c819e442f0ee
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Aug 25 00:29:07 2001 +0000

    Fixed dependancy on CVM 0.10

 spec |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9ef78dafebf51787733ebeb1b8c53f62e60ca897
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Aug 25 00:14:48 2001 +0000

    *** empty log message ***

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7e85e99833b9468f07f8a492a3d8d3fb4366f30e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Aug 25 00:05:08 2001 +0000

    Fix double-output of SITE commands in the logs.

 NEWS      |    2 ++
 TODO      |    2 --
 main.c    |   20 +++++++++-----------
 twoftpd.h |    1 -
 4 files changed, 11 insertions(+), 14 deletions(-)

commit 1436efed8dbfdfdcee9fb8ca25aa5282ea242bea
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Aug 25 00:04:31 2001 +0000

    Added code to handle running setup commands before the transfer.

 xfer-test |   43 +++++++++++++++++++++++++++----------------
 1 files changed, 27 insertions(+), 16 deletions(-)

commit 09e9c5bb3b5c3bb99bee738f526c48a15751703f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Aug 25 00:04:12 2001 +0000

    Added tests for NLST options, NLST .., and REST

 TODO      |    8 ++-
 rts.exp   |  228 ++++++++++++++++++++++++++++++++++++++++++++++++++++---------
 rts.tests |   25 ++-----
 3 files changed, 210 insertions(+), 51 deletions(-)

commit 6873443252a40180ea7e48930be4d452d7ea9d86
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 24 09:50:47 2001 +0000

    Fixed missing respond_end in respond_bytes.

 respond.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ea4b3869ad81e7ebee0bea6138e5500c28d5562a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 24 05:43:23 2001 +0000

    Use "ftp" instead of "21" as the FTP port number.

 README      |    6 +++---
 twoftpd.run |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 3f16a375e1ef65ceb9d87279dc04869e058ff14a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 24 05:41:26 2001 +0000

    Added authentication and session timeout limits.

 NEWS           |    2 ++
 backend.c      |    6 ++++++
 main.c         |    2 --
 twoftpd-auth.1 |    7 +++++--
 twoftpd-auth.c |    8 +++++++-
 twoftpd-xfer.1 |    3 +++
 6 files changed, 23 insertions(+), 5 deletions(-)

commit 37f1d0c46ac8092455fb3c700a9237dae6a08a64
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 24 05:40:09 2001 +0000

    Added some limited but extendable LIST/NLST option parsing.

 NEWS   |    4 +++
 list.c |   65 +++++++++++++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 52 insertions(+), 17 deletions(-)

commit ecbcf5bff8e272e6cc4f03abff913d70f5c11d4d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 24 05:31:13 2001 +0000

    *** empty log message ***

 NEWS    |   17 +++++++++++++++++
 README  |    4 ++--
 TODO    |    4 ++++
 VERSION |    2 +-
 4 files changed, 24 insertions(+), 3 deletions(-)

commit f7751fec063aec6f8ca11d54d072a46f4ad1cb5b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 24 05:28:41 2001 +0000

    Added output of system error messages to responses.

 respond.c |   11 +++++++++++
 retr.c    |    2 +-
 store.c   |   12 ++++++------
 twoftpd.h |    1 +
 4 files changed, 19 insertions(+), 7 deletions(-)

commit 86a3fa5f8c91bc0b1218bb688333b81d77844021
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 24 05:22:30 2001 +0000

    Added tests for RNFR/RNTO.

 rts.exp   |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 rts.tests |    7 +++++--
 2 files changed, 56 insertions(+), 2 deletions(-)

commit 087266eb5ccfb641c0ca6c8426195d55e8555511
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 24 05:22:04 2001 +0000

    Added respond_bytes response generator.

 list.c    |    6 +++---
 respond.c |   10 ++++++++++
 retr.c    |   15 ++++-----------
 store.c   |   15 ++++-----------
 twoftpd.h |    2 ++
 5 files changed, 23 insertions(+), 25 deletions(-)

commit fb63dde4e704f0992abbf0a7e68365fc392acc03
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Aug 24 05:21:22 2001 +0000

    Adjusted for new CVM interface.

 twoftpd-auth.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 0d22db39185b83be343a064b6c77f601de11c7a4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 16 06:17:31 2001 +0000

    Added more list parameter tests.

 rts.exp   |  108 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 rts.tests |   20 +++++++++--
 2 files changed, 125 insertions(+), 3 deletions(-)

commit 4bfba5e901a64fe8a3b6742f59f9407aeddf6919
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 16 03:21:21 2001 +0000

    Adjusted to new insthier prototype.

 insthier.c |   23 ++++++++++-------------
 1 files changed, 10 insertions(+), 13 deletions(-)

commit 2d2dbe24e4680c7b76d76bbdb19b0fa94de3b822
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 16 03:19:29 2001 +0000

    *** empty log message ***

 README.CVS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a83f7b4f57bb7951165b8d5bde56fe221b82a4cc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 16 03:19:09 2001 +0000

    Wrote this transfer test tool.

 xfer-test |   91 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 91 insertions(+), 0 deletions(-)
 create mode 100644 xfer-test

commit d05f5e7e1d9bd9a8b0ac993171d33d924465f7a0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 16 03:18:53 2001 +0000

    Added several transfer tests.

 rts.exp   |  830 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 rts.tests |   53 +++--
 2 files changed, 818 insertions(+), 65 deletions(-)

commit ea7217361a1eda9ca3fde0c085a068f8f1c6d6c8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 16 00:19:30 2001 +0000

    *** empty log message ***

 NEWS    |    7 +++++++
 README  |    4 ++--
 VERSION |    2 +-
 3 files changed, 10 insertions(+), 3 deletions(-)

commit f8597aac250f0cec296762ec5c7e846a7b8e4678
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Aug 15 19:21:35 2001 +0000

    Fixed a nasty bug in (not) dealing with the portion of a block following
    the last LF in ASCII mode.

 retr.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 09f40e495e711e0dcbea8eca702bb34b1391131e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Aug 15 10:15:27 2001 +0000

    Fixed up the response code for MKD from 250 to 257.

 store.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ce5e66c2278406cfa66d0cbebfc801a78e2944f2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Aug 7 04:36:56 2001 +0000

    *** empty log message ***

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8d2ff714cdb80f6438316613a2324f93e3649d8e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Aug 7 00:19:56 2001 +0000

    Fixed outbound connection binding to IP.
    Worked around FTP clients failing to parse the PASV response.

 NEWS     |    4 ++++
 socket.c |    7 ++++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 1fda539d2391e5fc23e73286631c44a869f51e87
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Aug 6 03:49:01 2001 +0000

    Bumped the version to 1.10

 NEWS    |    3 +++
 README  |    2 +-
 VERSION |    2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit b3727bf5cdf300fc67403939e5678947eb94677d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Aug 4 01:13:49 2001 +0000

    *** empty log message ***

 NEWS   |    3 +++
 README |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit b6411f74e4bf5fe83f7b1343492534d5d21f1783
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 23:30:17 2001 +0000

    Fixed a bug in outputting the group name in listings.

 NEWS      |    3 +++
 backend.c |    4 +++-
 backend.h |    5 +++--
 list.c    |   10 +++++++++-
 4 files changed, 18 insertions(+), 4 deletions(-)

commit 4fbfc47317c3621c7ec5c89b21f6c1b2bb8cfb17
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 23:25:39 2001 +0000

    *** empty log message ***

 TODO |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 1324ed858a28e9b29fa6dca151b5d0c8bd55ba42
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 23:25:31 2001 +0000

    Bumped up version number.

 NEWS    |    3 +++
 README  |    4 ++--
 VERSION |    2 +-
 3 files changed, 6 insertions(+), 3 deletions(-)

commit d057c6a3b1ff1f7039c0ca53af71a4d96ab25614
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 10:06:58 2001 +0000

    Write out a GROUP file here.

 twoftpd-anon-conf.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 731eff109467d809bf6d2282e4ee11719d1fef86
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 09:53:23 2001 +0000

    *** empty log message ***

 README |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit e9b59b25712c967d51d2e2c47abecb3c74b9a584
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 09:51:58 2001 +0000

    Report the true group name in long listings.

 NEWS           |    3 +++
 backend.c      |    2 ++
 backend.h      |    1 +
 list.c         |    4 ++--
 twoftpd-xfer.1 |    4 ++++
 5 files changed, 12 insertions(+), 2 deletions(-)

commit 9829c8d0a5ee7b6946ed25382c18d11b51bd7781
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 09:46:05 2001 +0000

    Set $GROUP if the CVM reports a group name.

 twoftpd-auth.1 |    6 +++++-
 twoftpd-auth.c |    3 ++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 26b73055905a0fba105983e48d03586703000d79
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 09:42:32 2001 +0000

    Added support for printing out the real file mode instead of a
    fabrication in long listings.

 NEWS   |    3 +++
 list.c |   32 ++++++++++++++++++++++++++++++--
 2 files changed, 33 insertions(+), 2 deletions(-)

commit 85d75844a0ecfbf05015f14ae33fc67f730d18f6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 09:28:28 2001 +0000

    Renamed the "verb" struct to "command" as it now fulfulls a dual purpose.

 main.c         |   10 +++++-----
 twoftpd-anon.c |    4 ++--
 twoftpd-auth.c |    4 ++--
 twoftpd-xfer.c |    4 ++--
 twoftpd.h      |    8 ++++----
 5 files changed, 15 insertions(+), 15 deletions(-)

commit 2a2eeda3a392809d01e567c6efb50b34a8c2d114
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 09:25:37 2001 +0000

    Added support for SITE commands.
    Added the SITE CHMOD command to twoftpd-xfer.

 NEWS           |    3 ++
 backend.h      |    1 +
 main.c         |   57 +++++++++++++++++++++++++++++++++++++------------------
 store.c        |   15 ++++++++++++++
 twoftpd-anon.c |    6 ++++-
 twoftpd-auth.c |    6 ++++-
 twoftpd-xfer.c |    7 +++++-
 twoftpd.h      |    3 +-
 8 files changed, 75 insertions(+), 23 deletions(-)

commit b5f944bd3a71fee4fd7a6b599d5052942d51fdb2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 05:09:17 2001 +0000

    *** empty log message ***

 NEWS |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit c72e5af9fe4b5fc088c0a8c16728fbe62590dd0e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 04:56:49 2001 +0000

    Added the "lock HOME" backend option.

 NEWS           |    4 ++++
 backend.c      |    2 ++
 backend.h      |    1 +
 path.c         |    6 ++++++
 twoftpd-xfer.1 |    9 +++++++++
 5 files changed, 22 insertions(+), 0 deletions(-)

commit bb17d530f0975fd2292cb395ff26f6ed97621dde
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 04:32:18 2001 +0000

    Bumped up version number.

 NEWS    |   13 +++++++++++++
 README  |    2 +-
 VERSION |    2 +-
 3 files changed, 15 insertions(+), 2 deletions(-)

commit ffaf6142dce720243832f5d00d18878836a8000a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 04:31:19 2001 +0000

    Changed how emulated or "soft" chroot is enabled.

 backend.c      |    7 +++++--
 twoftpd-xfer.1 |   17 ++++++++++-------
 2 files changed, 15 insertions(+), 9 deletions(-)

commit 59ce5326c1a56978e783f37432a39bf244e7a967
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 2 04:30:55 2001 +0000

    Fixed yet another one-off strip length bug.

 list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0acd891aa57fc293d538c7510ba61edecc0fca18
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 31 13:21:15 2001 +0000

    Actually use permission denied instead of internal error when the path
    fails validation.

 path.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c542e574fb2b2d2a8318502f5b268900a4230e20
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 31 13:19:38 2001 +0000

    Marked the internal qualification routines as static.

 path.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cd80619695ddcfe47351441c72dfad8af7545048
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 31 13:17:27 2001 +0000

    Rewrote the path qualification and validation code to use a central
    routine.

 backend.h |    4 ++--
 list.c    |   22 +++++++++-------------
 path.c    |   41 ++++++++++++++++++++++++++++-------------
 stat.c    |   12 +++++-------
 state.c   |   15 ++++++---------
 store.c   |   27 +++++++++++----------------
 6 files changed, 61 insertions(+), 60 deletions(-)

commit a1c40e3cd7e1f12f4e11834921e918966481d376
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 31 13:15:56 2001 +0000

    Added a new "permission denied" response.

 responses.c |    1 +
 twoftpd.h   |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 901e1b7bb0dcc47e353f0a5c938a977138d1e787
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 31 11:24:21 2001 +0000

    Document the new NODOTFILES option.

 twoftpd-xfer.1 |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 9ae332b19afd281e77ea2794fbf568b05420e0a9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 31 11:24:08 2001 +0000

    Check for dotfiles when listing directories.

 list.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 0c5a9c513efba9eb5316c334268aae0edc7e14f5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 31 11:23:49 2001 +0000

    Added a new routine to check a path for dotfiles in any element.  Also
    fail to qualify any path containing dotfiles if nodotfiles is set.

 backend.h |    1 +
 path.c    |   13 +++++++++++++
 2 files changed, 14 insertions(+), 0 deletions(-)

commit 71f798c39c849a8996852d63229888983beb9c22
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 31 10:51:24 2001 +0000

    Pass the "nodotfiles" options to path_match.

 list.c |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

commit 687b3212915b4945c63cd8354c5e6975ec48f785
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jul 31 10:50:32 2001 +0000

    Track the NODOTFILES environment variable.

 backend.c |    3 +++
 backend.h |    1 +
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 115e8583d63e8c6910ffde832f16d95486deafa3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 26 05:23:55 2001 +0000

    Bumped version.

 NEWS    |    6 ++++++
 README  |    4 ++--
 VERSION |    2 +-
 3 files changed, 9 insertions(+), 3 deletions(-)

commit aea31c61942cda74111e60070844e683ae4b7481
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 26 05:23:50 2001 +0000

    *** empty log message ***

 TODO |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit ed49b7a3d66171e20634ab3a649d494c08fb1f77
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 26 05:22:29 2001 +0000

    Fixed the dummy stat string to make it match the normal stat output.

 list.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit f38ecacfc28327715d7a29a8caa9d1ec6f954357
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 26 05:06:59 2001 +0000

    If the stat fails, output a "dummy" stat line.

 list.c |   17 ++++++++++++++---
 1 files changed, 14 insertions(+), 3 deletions(-)

commit 2674c4c6fd0efe4fbd33513ebfaaf1d783849925
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 26 05:00:30 2001 +0000

    Bytes counted in this module are "received", not "sent".

 store.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bbd9bc91bfc3b7dc92d473eccd20b1054d1423c4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 18 06:32:47 2001 +0000

    Added code to count and report the number of bytes sent over the
    network when retrieving and storing files.

 retr.c  |   19 +++++++++++++++----
 store.c |   18 ++++++++++++++----
 2 files changed, 29 insertions(+), 8 deletions(-)

commit ff312da2a90241ce2fee66958ea853e018b44eba
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jul 18 06:31:25 2001 +0000

    Added respond_uint, to provide integer parts in responses.

 respond.c |    6 ++++++
 twoftpd.h |    1 +
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 93b15d0716a4123a0035eb112cd15e389e8a49ef
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jul 14 01:27:27 2001 +0000

    Removed the obsolete configuration of anonymous mode.

 spec |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 1fcc72edc06852d89687b0183d978106f4cce461
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jul 7 03:53:46 2001 +0000

    Suppress the unused parameter warnings for argc and argv.

 backend.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 858867f877cf4f87d2a20c833127fb4d8f1b7e80
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jul 6 01:41:50 2001 +0000

    Use IOPOLL_* instead of POLL*.

 socket.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit b306aec2681c1341c680924259ea147b4c842b27
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jul 6 01:41:34 2001 +0000

    *** empty log message ***

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 86369621e64df9c661edc0cc05d6f3b50baf08c7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 5 21:57:59 2001 +0000

    Bumped up version number.

 README  |    4 ++--
 VERSION |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit f44ebe6c694c0b6ed315e60a06aa03d6f687af83
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 5 21:57:54 2001 +0000

    Fixed a one-off bug in pattern listings.

 NEWS   |    5 +++++
 list.c |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit b7eb8fe9b4ebdf7e3bed537db9e6885d0a8588d4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 30 03:35:06 2001 +0000

    Updated the FutureQuest notices.

 NEWS   |    2 +-
 README |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e893351083a01d9d6458754bfc66559f75c472fd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 30 03:34:57 2001 +0000

    Updated the list of required pieces needed from the CVS.

 README.CVS |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit dfc3d8719dada41ca098fa501b971b64fca6be05
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 30 00:40:40 2001 +0000

    Fixed up the tests.

 rts.exp   |  638 ++++++++++++++++++++++++++++++------------------------------
 rts.tests |   23 ++-
 2 files changed, 333 insertions(+), 328 deletions(-)

commit 9b1ddc3155a5af6cf9c4a77d53083d8a66dfdbe5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 30 00:40:30 2001 +0000

    *** empty log message ***

 NEWS |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 010423aa0d2001e3c036e03c7ee85990d1958dc7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 30 00:40:19 2001 +0000

    Since qualify returns a relative path, make sure to prefix it with a "/"
    when setting cwd in handle_cwd.

 state.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit aec9b19a89fd8e34973a9a89c92369834b40f09e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 30 00:36:10 2001 +0000

    Fixed a one-off big in changing directories.

 state.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit a4d6772bba59ae0080ecb490dab65ef3b900e89c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 30 00:31:48 2001 +0000

    Moved the request and response tests into main.c so that both the
    front-ends and back-ends will run the test.

 backend.c |    3 ---
 main.c    |    3 +++
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 42a3b5a58854551b35b7075a61b6464fa55a73e3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 29 23:27:20 2001 +0000

    Modified the startup scripts to run envdir after tcpserver.

 NEWS                |   13 ++++++++++---
 twoftpd-anon-conf.c |    4 ++--
 twoftpd-conf.c      |    4 ++--
 twoftpd.run         |    2 +-
 4 files changed, 15 insertions(+), 8 deletions(-)

commit bf3912bffc051fb13fef5a528ad682994e31379f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 29 23:27:08 2001 +0000

    Bumped up the version to 1.05.

 README  |    5 ++++-
 VERSION |    2 +-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 835ee590d2fd6840310681fd37ffe795b43136b6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 29 21:15:52 2001 +0000

    Make sure that qualify always returns a relative path.

 path.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 65854e25f11cbc83b949d8c6e51019bf8d8a33e8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 29 12:09:02 2001 +0000

    First check-in of changes required for emulated chroot operation.

 backend.c               |   13 +++-
 backend.h               |    7 ++
 backend=l               |    5 +-
 list.c                  |  206 +++++++++++++----------------------------------
 main=l                  |    5 +-
 messagefile.c           |    2 +-
 messagefile.c => path.c |   36 +++++----
 retr.c                  |    2 +-
 stat.c                  |   12 ++-
 state.c                 |   40 +++++-----
 store.c                 |   32 +++++---
 twoftpd-anon=x          |    3 +
 twoftpd-xfer.1          |   17 +++-
 twoftpd-xfer=x          |    3 +
 14 files changed, 168 insertions(+), 215 deletions(-)
 copy messagefile.c => path.c (59%)

commit 8e1df3563846370643dbe23b1acd1be3ca3fd30c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 29 12:01:59 2001 +0000

    Used canned response.

 socket.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 70665044296af38b20416d41a8b9b93fdf55d333
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 29 11:58:15 2001 +0000

    *** empty log message ***

 NEWS    |    9 +++++++++
 README  |    4 ++--
 TODO    |    4 +---
 VERSION |    2 +-
 4 files changed, 13 insertions(+), 6 deletions(-)

commit aff1daa0f1e597d2a22da4e1ed197733ebc321fe
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 29 11:56:55 2001 +0000

    Added some common canned responses.

 strtou.c => responses.c |   13 ++++---------
 twoftpd.h               |    4 ++++
 2 files changed, 8 insertions(+), 9 deletions(-)
 copy strtou.c => responses.c (76%)

commit 6bea62969cbba64ad08d9c157756a854604cb06d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 23 02:35:40 2001 +0000

    *** empty log message ***

 NEWS   |    3 ++-
 README |    4 +++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 867d2f5ffa008d239b98eb77dddae23ced1cda1e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 23 02:16:32 2001 +0000

    Added full support for banners and message files.

 backend.c              |    5 ++++-
 backend.h              |    5 +++++
 backend=l              |    1 +
 strtou.c => banner.c   |   24 ++++++++++++++++--------
 main=l                 |    1 +
 log.c => messagefile.c |   44 +++++++++++++++++---------------------------
 state.c                |    1 +
 twoftpd-auth.1         |    4 ++++
 twoftpd-auth.c         |    4 ++++
 twoftpd-xfer.1         |    9 +++++++++
 twoftpd.h              |    3 +++
 11 files changed, 65 insertions(+), 36 deletions(-)
 copy strtou.c => banner.c (66%)
 copy log.c => messagefile.c (62%)

commit 48fc2afa0aa68f2dc081d9d68488c410376ff3e3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jun 23 02:15:46 2001 +0000

    *** empty log message ***

 NEWS |    5 +++++
 TODO |    6 ------
 2 files changed, 5 insertions(+), 6 deletions(-)

commit 2a343fc3c9fe854aba1ae1a65c164dfa6c033320
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 22 03:44:52 2001 +0000

    Explicitly turn logging of responses and requests on.

 spec |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit efcab6c3c772812efbf067e9bccf7ef64cb1574a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 22 03:38:25 2001 +0000

    I was already logging requests, make it optional now.

 main.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 081d3811d6af730cf0c374109f1a6efd26ac829d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 22 01:12:30 2001 +0000

    Modified for new spac makedist tools.

 makedist.in |   42 ------------------------------------------
 makedist.py |   34 ++++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+), 42 deletions(-)
 delete mode 100644 makedist.in
 create mode 100644 makedist.py

commit cc0cf7056d6ef3871bb05c30aa3dd6f79a8cbb2d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 22 01:08:21 2001 +0000

    Added support for logging requests and responses.

 backend.c         |    6 +++++-
 strtou.c => log.c |   37 +++++++++++++++++++++++++++++--------
 log.h             |   14 ++++++++++++++
 main.c            |   29 +++++++----------------------
 main=l            |    1 +
 respond.c         |   15 +++++++++++++--
 twoftpd-anon.c    |    1 +
 twoftpd-auth.c    |    2 ++
 twoftpd-xfer.1    |    6 ++++++
 twoftpd-xfer.c    |    1 +
 twoftpd.h         |    2 ++
 11 files changed, 81 insertions(+), 33 deletions(-)
 copy strtou.c => log.c (59%)
 create mode 100644 log.h

commit b64d484ac6a7d2174383846fc3fe3962a6473858
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 22 01:07:06 2001 +0000

    Updated the spec file.

 spec |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

commit d999099b5a82528c4622f6e12d6c01b2e06320af
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 22 01:04:10 2001 +0000

    *** empty log message ***

 NEWS   |   11 +++++++++++
 README |    4 ++--
 TODO   |    3 +++
 3 files changed, 16 insertions(+), 2 deletions(-)

commit 26ae5e6e6f4bd5b56d8ff1d1f377163527b03d2a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 22 00:34:35 2001 +0000

    Added cvm_ prefix to calls to the CVM code.

 twoftpd-auth.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 10d610a4422541322a4087d31982e9b406d9acf3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jun 22 00:34:05 2001 +0000

    Added missing string.h includes.

 twoftpd-anon-conf.c |    1 +
 twoftpd-conf.c      |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 6a19f0f2763cb37a3c72d3129b4245afd5c049c0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jun 19 03:42:54 2001 +0000

    Added startup code number constant.

 backend.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6a6673710a9c44c8ae074bb20d73ed8aff7876f3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jun 19 03:41:10 2001 +0000

    Fixed missing string.h include.

 list.c   |    1 +
 socket.c |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit cdc997da0e902963bd407739911e66c9cf04d3b5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jun 19 03:40:49 2001 +0000

    Fixed the server startup response number.

 backend.c      |    5 +++--
 twoftpd-anon.c |    2 ++
 twoftpd-xfer.c |    2 ++
 3 files changed, 7 insertions(+), 2 deletions(-)

commit 525f4f30f8e5ce1cc99a7b71c7718124acbc3fb9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jun 18 22:22:59 2001 +0000

    *** empty log message ***

 TODO    |    3 +++
 VERSION |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 921999d70aedaa5a29a9f92df655b2ec8b835153
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat May 19 10:25:18 2001 +0000

    Skip files starting with a period.

 list.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 20be9236c3ae8278f7e1ef532da68c72f4d3a867
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri May 11 10:08:59 2001 +0000

    Added setenv.h compatibility header.

 twoftpd-auth.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit dfcccb8e94f1f3122b8c5c3482f942d5998bf72a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri May 11 10:08:39 2001 +0000

    Fixed two bugs.

 twoftpd-anon-conf.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit d780a8bda73a1d9648641bf7eef75185c04cc07f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri May 11 10:08:19 2001 +0000

    Added some missing compatibility object files.

 twoftpd-anon-conf=x |    1 +
 twoftpd-auth=x      |    2 ++
 twoftpd-conf=x      |    1 +
 3 files changed, 4 insertions(+), 0 deletions(-)

commit 6b2fe7fd2ba6e311b1bca78d3e5ad3fe65405e13
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Apr 7 00:18:29 2001 +0000

    *** empty log message ***

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a5183ff4191f3c9fc520e7e042267c882a6ed407
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Apr 7 00:18:05 2001 +0000

    Fixed handling of GLOB_NOMATCH result from glob.

 list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3e143eb1f4d8cb8f1ae7c13a60b07dfcc86d619b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 22:29:43 2001 +0000

    Fixed some bugs in handling of single items listings.

 list.c |   54 ++++++++++++++++++++++++++++++++----------------------
 1 files changed, 32 insertions(+), 22 deletions(-)

commit 627174c467a39d30abdb8355f88b022406d9aba8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 22:29:30 2001 +0000

    *** empty log message ***

 NEWS |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit d6e2a9055a7cbe81f0f97cf6532c8fe7787302ca
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 22:27:24 2001 +0000

    Fixed a bug in IP parsing and printing.

 socket.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 25fd8745fd287eb2eaf9b97e39b171954bc957fc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 21:37:26 2001 +0000

    Bumped up version number.

 NEWS    |    4 ++++
 README  |    4 ++--
 VERSION |    2 +-
 3 files changed, 7 insertions(+), 3 deletions(-)

commit 08b94fd94330c04488347c3613423f66adba657e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 21:36:30 2001 +0000

    Fixed the usage notes.

 twoftpd-anon-conf.c |    2 +-
 twoftpd-conf.c      |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7bb7026d45dd01dfa6c130e680fb170ad97785a3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 11:25:24 2001 +0000

    *** empty log message ***

 TODO           |    2 --
 conf.h         |   18 ++++++++++++++++++
 twoftpd-conf=x |    1 +
 3 files changed, 19 insertions(+), 2 deletions(-)
 create mode 100644 conf.h

commit bebe60be025d8e8ba95c832c9f8f5921e59870a9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 11:25:14 2001 +0000

    Bumped up version number.

 NEWS    |   10 ++++++----
 README  |    6 +++---
 TODO    |    6 ------
 VERSION |    2 +-
 4 files changed, 10 insertions(+), 14 deletions(-)

commit 0c74042ed93c24da95b11d0e054968f7fa577698
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 11:22:11 2001 +0000

    Include new conf.h header file.

 conf.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1b1d6ebf4abddc1bc6a7240d0bf0614dc1d9f6dd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 11:21:57 2001 +0000

    Added new executables.

 insthier.c |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit 6c7f1a52b5fba619ff8d6fa29d17cda7e4dfce15
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 11:21:45 2001 +0000

    Use the new conf.h header file.

 twoftpd-anon-conf.c |   11 +----------
 1 files changed, 1 insertions(+), 10 deletions(-)

commit c6f2659890314d255aead167ebcfbea6b048fef9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 11:21:29 2001 +0000

    Use the routines from conf.c

 twoftpd-conf.c |   52 ++++++++++++++++++++++------------------------------
 1 files changed, 22 insertions(+), 30 deletions(-)

commit afaeb8b44a9ae7d85ea76e589f3e303eb6df63c8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 11:18:03 2001 +0000

    Added config program for twoftpd-anon.

 twoftpd-conf.c => twoftpd-anon-conf.c |   89 ++++++++++++++++-----------------
 twoftpd-conf=x => twoftpd-anon-conf=x |    1 +
 2 files changed, 45 insertions(+), 45 deletions(-)
 copy twoftpd-conf.c => twoftpd-anon-conf.c (58%)
 copy twoftpd-conf=x => twoftpd-anon-conf=x (77%)

commit 234e1ac50c3e1b796e0c05f839f33aa90483b97f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Apr 5 11:17:33 2001 +0000

    Added some generic configuration building routines.

 conf.c |   61 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 61 insertions(+), 0 deletions(-)
 create mode 100644 conf.c

commit 3062f8ae4385b65f45afaf49dad4e381b9a387a1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 3 03:40:27 2001 +0000

    Added a twoftpd-conf program.

 twoftpd-conf.c |  112 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 twoftpd-conf=x |    2 +
 2 files changed, 114 insertions(+), 0 deletions(-)
 create mode 100644 twoftpd-conf.c
 create mode 100644 twoftpd-conf=x

commit 70da2fe9614e8b3396a1bb03d9d964f97c1141b7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 3 02:55:16 2001 +0000

    Noted umask requirement.

 twoftpd-xfer.1 |    3 +++
 twoftpd.run    |    1 +
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 1cd58c74d83382370a9eab36ec060e51572e29e5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Apr 3 02:54:43 2001 +0000

    *** empty log message ***

 TODO |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 6d185399d2fb20f66a9f6310c2b538bfc26df6a7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 29 04:39:21 2001 +0000

    Minor documentation touch-ups.

 README |   20 +++++++++-----------
 1 files changed, 9 insertions(+), 11 deletions(-)

commit 91352896bc8489a97cb3826460c2f8e909ecb801
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 29 04:38:50 2001 +0000

    *** empty log message ***

 NEWS |    1 +
 TODO |    2 --
 2 files changed, 1 insertions(+), 2 deletions(-)

commit 89379553a55e6eb0d5d88aaefc90c03d3b9eec4e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 29 04:24:06 2001 +0000

    *** empty log message ***

 backend.h      |    2 +-
 twoftpd-anon=x |    1 +
 twoftpd-xfer=x |    1 +
 3 files changed, 3 insertions(+), 1 deletions(-)

commit 3ed9d71d75785dbe18cb984f2991ab24927535d2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 29 04:24:03 2001 +0000

    Call parse_localip on TCPLOCALIP.

 backend.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d58e61e608f54f179bd4619430bf7b65ca26e369
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 29 04:23:43 2001 +0000

    Modified to use socket lib functions instead of the low-level function.

 socket.c |  101 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 46 insertions(+), 55 deletions(-)

commit d71b6ef67cbba8a786030ffca6c4a861181bb8e6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 28 05:10:27 2001 +0000

    *** empty log message ***

 TODO |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 207e053a7e60b05fed85294d447e5c0f771aea2d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 28 05:08:37 2001 +0000

    Renamed a function for clarity.

 list.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 38ae899bfb8cc403f4de98a9667bf72d4c6e7bc3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 28 04:40:52 2001 +0000

    Bumped up version number.

 NEWS    |    9 ++++++---
 README  |    4 ++--
 VERSION |    2 +-
 3 files changed, 9 insertions(+), 6 deletions(-)

commit 2e55c2c149182d9f0f0a2dd6b36aa8a8e09dde07
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 28 04:40:45 2001 +0000

    Removed unused file.

 listdir.c |   81 -------------------------------------------------------------
 1 files changed, 0 insertions(+), 81 deletions(-)
 delete mode 100644 listdir.c

commit 0215ee850606bb79263b91ae72dd48e67f35f9df
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 28 04:40:19 2001 +0000

    Merged listdir.c into list.c, which is the only code that uses listdir.

 backend.h |    3 --
 backend=l |    1 -
 list.c    |   64 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 63 insertions(+), 5 deletions(-)

commit 264025232c720b35912bdab514d9d6f1150eeaea
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 22 09:59:16 2001 +0000

    Added the iopoll.o compatibility library.

 backend=l |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a7a57f0cea22ba4c1f212ee8610cc1cf23cbec5c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 22 09:58:37 2001 +0000

    *** empty log message ***

 TODO |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit d4fa76413337699cacfaf605e0f71af15fd169f8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 22 09:56:00 2001 +0000

    Use iopoll instead of poll directly.

 socket.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 01853e7ba7edf3fdb5963d80bbba5c27736d81f8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 22 09:46:57 2001 +0000

    *** empty log message ***

 NEWS        |    6 +++---
 README      |    2 +-
 twoftpd.run |   14 ++++++++------
 3 files changed, 12 insertions(+), 10 deletions(-)

commit f3254694d9d94200ffd2127853ec470d25174e4e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 22 09:45:05 2001 +0000

    Removed the anonymous-mode tests.

 rts.exp |   49 +++----------------------------------------------
 1 files changed, 3 insertions(+), 46 deletions(-)

commit 449663e33505740241a3ac6229c1362ca45302a0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 22 09:44:51 2001 +0000

    Removed the anonymous login tests.

 rts.tests |   33 +++------------------------------
 1 files changed, 3 insertions(+), 30 deletions(-)

commit 902e98ce994b6dc29b208ee288cefe71c4d2facb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 22 09:44:32 2001 +0000

    Simplified the code by eliminating extraneous parameters.

 twoftpd-auth.c |   17 +++++++----------
 1 files changed, 7 insertions(+), 10 deletions(-)

commit a48f8932bdf4a5ddef5d215a4ba54a6e5c65b160
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Mar 20 22:25:27 2001 +0000

    *** empty log message ***

 NEWS |    6 ++++++
 TODO |    6 +-----
 2 files changed, 7 insertions(+), 5 deletions(-)

commit f305c3fcf2bb9972bc875434bfc30282f2e09728
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Mar 20 22:23:12 2001 +0000

    Added note about resource limits.

 README |   38 ++++++++++++++++++++++++++++----------
 1 files changed, 28 insertions(+), 10 deletions(-)

commit 2e9f165346d06d53a4fa1684bedc28733572400a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Mar 20 22:22:51 2001 +0000

    Removed the "anonymous" mode from the run file.

 twoftpd.run |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit d6d2bf21b3036b7a8644e8aabf5e2e9b89203cc8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Mar 20 22:22:29 2001 +0000

    Call respond_str instead of obuf routines directly.

 state.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit cb511654c7632dacce53fd4bc6b9460ca4ca7f8f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Mar 20 22:22:12 2001 +0000

    Added routine to provide output translation.

 respond.c |   19 ++++++++++++++++++-
 twoftpd.h |    3 ++-
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 2297b72d00c0f805af009ec314237be1e3703b3a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Mar 20 05:44:33 2001 +0000

    *** empty log message ***

 makedist.in |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit 166dc3eb3afed7e4caa34da7e7151cba81767c5e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Mar 20 05:38:30 2001 +0000

    Added required socket library.

 twoftpd-auth=x |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit da8a49f56966835ac1f750670ed71daf7c50d933
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 17 03:02:54 2001 +0000

    Note the use of $USER.

 twoftpd-xfer.1 |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 3be7e68075acef204a326b3dd25e8d0621435ed3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 17 03:01:51 2001 +0000

    *** empty log message ***

 TODO |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 6cba0358a8c2886f0a63587cd61ec4d0a92622d5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 17 03:01:26 2001 +0000

    Stripped out the anonymous login component for simplicity -- if you need
    both, run both seperately.

 twoftpd-auth.1 |   31 -------------------------------
 twoftpd-auth.c |   38 --------------------------------------
 2 files changed, 0 insertions(+), 69 deletions(-)

commit 67343376bdba61bf5885aad171cb2ecf397edf68
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 10 06:06:37 2001 +0000

    *** empty log message ***

 TODO |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 906a02c4611f5e68bf590ff72e6cb0e36830a68b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 10 04:45:18 2001 +0000

    Bumped version number.

 NEWS    |    4 ++++
 VERSION |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 59ca00535d44d95fefeb7fef180f0626b321d95a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 10 02:25:01 2001 +0000

    *** empty log message ***

 TODO |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d14165d6d88d83f3112e43688d72027a2c8162f6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 10 02:24:53 2001 +0000

    Fixed some portability problems to FreeBSD (and possibly others).

 list.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit dcd8a48590da7bc6518ce3828bd03e816eaf066c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 10 02:23:59 2001 +0000

    Use new "systime.h" magic include.

 backend.c |    2 +-
 stat.c    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 631b4cec0b8ad243f3d0a4816cc2c9d72333bd29
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 8 21:10:09 2001 +0000

    Final release.

 NEWS   |    7 +++++--
 README |    2 +-
 TODO   |    3 +++
 3 files changed, 9 insertions(+), 3 deletions(-)

commit 6448247aab8f0e17f938abce85e7c3ab3f703beb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 23:26:35 2001 +0000

    Require CVM 0.3, just to ensure the bugs in 0.2 are not present.

 spec |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5e65d145ce1856daef273e88082013105df65d06
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 23:24:13 2001 +0000

    *** empty log message ***

 TODO |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit bd5550c0649b80c174a3e004d18db93ec2913763
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 22:32:26 2001 +0000

    *** empty log message ***

 rts.tests |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 991602bc840c8a96dc8e4b038a7b8f8b2bbb9e68
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 22:31:43 2001 +0000

    Added the REST command.

 NEWS           |    2 ++
 TODO           |    4 +---
 backend.h      |    1 +
 retr.c         |   18 ++++++++++++++++++
 twoftpd-anon.c |    1 +
 twoftpd-xfer.c |    1 +
 6 files changed, 24 insertions(+), 3 deletions(-)

commit 2154d1277252ad47ed3b331240e2bf90b21bee29
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 22:20:59 2001 +0000

    Added notes for those checking out the sources from CVS.

 README.CVS |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)
 create mode 100644 README.CVS

commit 9770fef94272f75cfd001dd55f8c1e2a656a2fd7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 22:20:34 2001 +0000

    Dropped version number from 0.99 to 0.91.

 NEWS    |    2 +-
 README  |    4 ++--
 VERSION |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit bd0907440ec33fabc6042cfdbc66afafd8cddf32
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 22:06:37 2001 +0000

    Updated news.

 NEWS |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 98e04d9bd045254389dfdb8584888a3aeb1a69f1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 22:02:31 2001 +0000

    Added some testing data.

 EXTRADIST |    3 +
 rts.exp   |  865 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 rts.sh    |    1 +
 rts.tests |  202 ++++++++++++++
 4 files changed, 1071 insertions(+), 0 deletions(-)
 create mode 100644 rts.exp
 create mode 100644 rts.sh
 create mode 100644 rts.tests

commit 8ea2ac526a9d38871f2c578d9ce4d6fe1f2a9f7e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 20:45:03 2001 +0000

    Timeouts for new sockets need to be set to "timeout*1000", not just
    "timeout".

 socket.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 82fb0293ff87920c34b6bd902b888a3a57dc7317
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 05:42:20 2001 +0000

    Check if $SERVICE is set, and if not, set it to "ftp".

 twoftpd-auth.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 08d9f718a3cb8e0d67db2148f6dc909d08f357ed
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 04:18:14 2001 +0000

    Fixed data type in strtou from unsigned to unsigned long.

 strtou.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 986ad5c8212919182011e8fa83adb9959a2fadf3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 04:17:32 2001 +0000

    Fixed number handling to use strtou everywhere.

 backend.c             |    9 +++++----
 main.c                |   11 +++++++++--
 main=l                |    1 +
 respond.c => strtou.c |   23 +++++++----------------
 twoftpd-auth.c        |    7 ++++---
 twoftpd.h             |    3 +++
 6 files changed, 29 insertions(+), 25 deletions(-)
 copy respond.c => strtou.c (65%)

commit 5f2f719a3d80556aaadfdb95e54d25eb7a64c94c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 04:00:50 2001 +0000

    Added checks to make sure a correct number of command-line parameters
    are used.

 twoftpd-auth.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit dcc8bf2eddcba132d0ea68ca83ee8604b977d0a3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 00:18:58 2001 +0000

    Expanded on usage documentation.

 README |   19 ++++++++++++++-----
 1 files changed, 14 insertions(+), 5 deletions(-)

commit 76d0c25512f2f38873856aa46fd2cb4b87d50bfe
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 7 00:18:37 2001 +0000

    Bumped up version number.

 NEWS    |    3 +++
 VERSION |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 18c5406c9ce0710ef04d87ced8591fb9fd11b35e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Mar 6 23:53:21 2001 +0000

    Documentation touchups.

 NEWS   |    3 +++
 README |    2 +-
 TODO   |    2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 8e511cbf9e1fac3bffb8246311a832b56a34a9b7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Mar 6 23:53:07 2001 +0000

    Removed unneeded include file.

 store.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit ee2d750c452de9cf01a3d3dd434b680eb026fe6b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Mar 6 23:51:44 2001 +0000

    Parse TCPREMOTEIP and validate PORT commands against it.

 backend.c |    2 ++
 backend.h |    1 +
 socket.c  |   15 +++++++++++++++
 3 files changed, 18 insertions(+), 0 deletions(-)

commit 23916d08a6f6ddf14f66e127c3ff5701e4d44003
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 5 21:33:07 2001 +0000

    Bumped up version number.

 NEWS    |    4 ++++
 README  |    2 +-
 VERSION |    2 +-
 3 files changed, 6 insertions(+), 2 deletions(-)

commit 34e6ff3f99589c5de61909905d2470d7a86d14ab
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 5 21:32:40 2001 +0000

    Fixed a bug in EOF handling when storing files.

 store.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f95fe4b5138739214ac74df679f72e18a824ea07
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 5 05:27:57 2001 +0000

    Updated usage documentation.

 README |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit 58df13779563362903ca010a26e60b107e2b8f8c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 5 05:22:16 2001 +0000

    Bumped up version, updated documentation.

 NEWS    |   10 ++++++++++
 README  |    8 ++------
 TODO    |   18 +-----------------
 VERSION |    2 +-
 4 files changed, 14 insertions(+), 24 deletions(-)

commit a1b010d5256973fe3aff5092cd41742408bf3ba6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 5 05:21:30 2001 +0000

    Modified to use glob for listing patterns.

 list.c |   72 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 48 insertions(+), 24 deletions(-)

commit 908ff7362166314405117cbad436ee386fd1057a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 5 05:20:00 2001 +0000

    Modified the interface to listdir to return the count of entries.

 backend.h |    2 +-
 listdir.c |    5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 664bec613354d689fdf66107df524a7ace1d6281
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 5 05:18:02 2001 +0000

    Added socket.lib to dependancies.

 twoftpd-anon=x |    1 +
 twoftpd-xfer=x |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 464a654731b57df7e8125519a2f49cf743411823
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 5 04:46:06 2001 +0000

    Set timeouts on stdin/stdout (in addition to the alarm handling).

 main.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit f86ccd54e4e12f295e0e5adaf075b49574535030
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Mar 5 04:44:24 2001 +0000

    Fixed one-off bug in output of PWD information.

 state.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b1843d6d5ca72223af71514ca267059b067fd303
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Mar 4 02:21:52 2001 +0000

    Restore the socket routines using iobuf since it now has timeout
    handling.

 backend.h |    9 ++-------
 retr.c    |   18 ++++++++++--------
 socket.c  |   12 +++++++-----
 store.c   |   17 ++++++++++-------
 4 files changed, 29 insertions(+), 27 deletions(-)

commit ef4194155549e9a6c46ddd928faef28cbb1dd995
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Mar 4 02:20:54 2001 +0000

    iobuf library now has timeout handling, so remove it from here.

 timeout_read.c  |   35 -----------------------------------
 timeout_write.c |   39 ---------------------------------------
 2 files changed, 0 insertions(+), 74 deletions(-)
 delete mode 100644 timeout_read.c
 delete mode 100644 timeout_write.c

commit ca77f9b3c6ca60a8a79d783d6824b9148ecfb7fd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 3 20:35:59 2001 +0000

    Fixed a typo -- need to poll for POLLOUT, not POLLIN.

 timeout_write.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d5eb74441ec0828c603b39fbd8d9727d04eed5d0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 3 01:30:45 2001 +0000

    Added this routine to write to the network with a timeout.

 timeout_read.c => timeout_write.c |   18 +++++++++++-------
 1 files changed, 11 insertions(+), 7 deletions(-)
 copy timeout_read.c => timeout_write.c (73%)

commit 9ba3b32fed9a318c6467ac440d791373a0fd3354
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 3 01:30:30 2001 +0000

    Modified to use timeout_write.

 retr.c |   40 +++++++++++++++++++++++++---------------
 1 files changed, 25 insertions(+), 15 deletions(-)

commit c61298866689d034349c7995525f5e8ace714885
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 3 01:29:52 2001 +0000

    Added timeout_* function prototypes.
    Removed make_{in,out}_connection.

 backend.h |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit e2f38af9e43e6313aaf0b1b6e5e43bb37bfb2288
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 3 01:29:22 2001 +0000

    Added support for timeouts on reading data from the network.

 store.c                     |   29 ++++++++++++++---------------
 respond.c => timeout_read.c |   32 +++++++++++++++-----------------
 2 files changed, 29 insertions(+), 32 deletions(-)
 copy respond.c => timeout_read.c (65%)

commit 7431d19f52ad128869a55e54b2f3bb51800b755c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 2 23:25:56 2001 +0000

    Modified the data type of "timeout" from "struct timeval" to just "unsigned".

 main.c    |   10 ++++------
 socket.c  |   27 ++++++++++-----------------
 twoftpd.h |    2 +-
 3 files changed, 15 insertions(+), 24 deletions(-)

commit 727d82e457b7c400d4674e7d663310e61d4ada89
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 2 23:13:28 2001 +0000

    Dropped use of sendfile.
    Merged the binary and ASCII file copy cases.

 retr.c |   46 ++++++++++------------------------------------
 1 files changed, 10 insertions(+), 36 deletions(-)

commit 202c20d6c89f80cc921f1b43ec8b9ef61fa2ccac
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 2 23:09:58 2001 +0000

    Merged the binary and ASCII file copy cases.

 store.c |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit c9bb37ae3f6977e6e390b27337987ebf65cb882c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 2 23:08:05 2001 +0000

    Use unix/nonblock routines instead of calling fcntl directly.

 socket.c       |    8 +++-----
 twoftpd-anon=x |    1 +
 twoftpd-xfer=x |    1 +
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 5a1e4b9d5fab149add3ba9e1d0867edbd9da6c35
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 2 23:00:22 2001 +0000

    *** empty log message ***

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f185da3041931a3527993a7735066f9dd242d60e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 2 03:22:32 2001 +0000

    *** empty log message ***

 NEWS |    1 +
 TODO |   16 ++++++++++++++++
 2 files changed, 17 insertions(+), 0 deletions(-)

commit 8c32d0399aeaf2fb092804e2a45845280047f0cb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 2 03:22:27 2001 +0000

    Fixed usage of obuf_putuw.

 list.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 422763f3360d46037d9fb2194e7d56bed12ff639
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 2 02:54:59 2001 +0000

    Modified some obuf_puts calls to be more efficient.

 list.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 8279c23e8aa8a2d93bf0f87135b6b07527849d77
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 2 02:54:34 2001 +0000

    Turn off non-blocking mode after connecting to a remote.

 socket.c |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit 8ae620c336076a170e8841600de1e0df102fa60f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 28 21:40:35 2001 +0000

    Merged some duplicated code in preparation for glob changes.

 list.c |   23 +++++++++++++----------
 1 files changed, 13 insertions(+), 10 deletions(-)

commit d6e7e49f1fc9bb3787f54321f6e77d187aae99e1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 28 21:39:24 2001 +0000

    listdir is always called with "." as it's parameter, so drop the parameter.

 backend.h |    2 +-
 listdir.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit c87eaa45099cfbe63049b2af4c5b793aaf170e64
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 28 21:38:42 2001 +0000

    Require cvm >= 0.2 due to file name changes in CVM.

 spec |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 573b24dedbe76e99777ea8289a3c2307be8c6a66
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 23:20:56 2001 +0000

    Account for changes to cvm naming.

 twoftpd.run |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5238621dceb037357f3034a75ffcc7ac90521d98
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 23:20:34 2001 +0000

    *** empty log message ***

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ef3d2665f572e2e862e11070e48fb62b77732fe1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 21:47:39 2001 +0000

    Bumped up version number.

 NEWS    |    3 +++
 README  |    2 +-
 VERSION |    2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 26e97195ab3a6ff3cab90b749e1ef6d8481b3f2c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 21:47:12 2001 +0000

    Added GPL notice to all the sources.

 backend.c      |   17 +++++++++++++++++
 list.c         |   17 +++++++++++++++++
 listdir.c      |   17 +++++++++++++++++
 main.c         |   17 +++++++++++++++++
 respond.c      |   17 +++++++++++++++++
 retr.c         |   17 +++++++++++++++++
 socket.c       |   17 +++++++++++++++++
 stat.c         |   17 +++++++++++++++++
 state.c        |   17 +++++++++++++++++
 store.c        |   17 +++++++++++++++++
 twoftpd-anon.c |   17 +++++++++++++++++
 twoftpd-auth.c |   17 +++++++++++++++++
 twoftpd-xfer.c |   17 +++++++++++++++++
 13 files changed, 221 insertions(+), 0 deletions(-)

commit 52f7747d53193781dc9a4e5bb96f3b40023d46d3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 11:12:37 2001 +0000

    *** empty log message ***

 NEWS   |    2 ++
 README |   15 +++------------
 TODO   |    4 ++--
 3 files changed, 7 insertions(+), 14 deletions(-)

commit 444a4a9d1332bf84769199ee997d97bdfdef24df
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 11:05:08 2001 +0000

    Handle translating NUL in the parameter to LF.

 main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2bcb3d997924e470b7cbbe75067debf19e286414
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 11:04:46 2001 +0000

    Fixed name typo in respond_start.

 respond.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 68e2dba95d971aa39691663becf50e6910d961f9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 11:04:28 2001 +0000

    Handle translating LF in paths to NUL.

 state.c |   13 ++++++++++---
 1 files changed, 10 insertions(+), 3 deletions(-)

commit 34f93a5342a8efefbe966eeafbe8c17b8136a5ba
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 11:03:34 2001 +0000

    Added entry points for starting and stopping a response message.

 respond.c |   16 +++++++++++++---
 twoftpd.h |    2 ++
 2 files changed, 15 insertions(+), 3 deletions(-)

commit fef3c7a57831876933d3334a77c793701f6f949c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 10:52:27 2001 +0000

    *** empty log message ***

 NEWS |    3 +--
 TODO |    6 ------
 2 files changed, 1 insertions(+), 8 deletions(-)

commit 9116d70ab6f15922f4d92dfdf5c83d9da07f6de7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 10:52:02 2001 +0000

    Optimized the loop somewhat in retr_asc, added missing flush.

 retr.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 1b6d915176b74d2eb0c386c66931e0f92a3e6a76
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 10:51:32 2001 +0000

    Added support for ASCII mode transfers.

 store.c |   28 +++++++++++++++++++++++++++-
 1 files changed, 27 insertions(+), 1 deletions(-)

commit 4daa2b943423e2c3a985b711d3f2c77faf2ee54c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 10:41:30 2001 +0000

    Fixed a manual use of write to use outbuf.

 main.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit a3508f6b1384a0c1891e598973f57eb802648402
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 09:23:47 2001 +0000

    Added declarations for rnfr/rnto functions.

 backend.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b5605ac96d30da4e9038b6d5fc08fad84383cd7e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 09:23:33 2001 +0000

    Trimed out some duplicated code.

 store.c |   16 +++++++---------
 1 files changed, 7 insertions(+), 9 deletions(-)

commit c89e5195351b4ddf49e79eb2372d8c9bd9f0c5db
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 09:11:57 2001 +0000

    Use iobuf library for input.

 main.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit a0ee7da9db9d98cdea52c214af6935f0054d7128
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 08:58:17 2001 +0000

    *** empty log message ***

 NEWS |    5 +++++
 TODO |    8 +-------
 2 files changed, 6 insertions(+), 7 deletions(-)

commit 3cabd0f12b9c2ab2045bb3023f2d2f3f854ff96d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 08:58:11 2001 +0000

    Modified to use iobuf library

 backend.h      |    4 +-
 list.c         |  146 +++++++++++++++++++------------------------------------
 respond.c      |    9 ++--
 socket.c       |   18 +++++++-
 twoftpd-anon=x |    1 +
 twoftpd-auth=x |    1 +
 twoftpd-xfer=x |    1 +
 7 files changed, 79 insertions(+), 101 deletions(-)

commit 2f884aab21bcf3814bd471a1eed424beb7021f95
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 08:57:18 2001 +0000

    Modified to use iobuf library.
    Added support for binary_flag.

 retr.c |   78 +++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 46 insertions(+), 32 deletions(-)

commit a9f0d62f47758820f9cf38857b3b6910d67a3489
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 08:56:03 2001 +0000

    Fixed some typos from previous check-in.

 store.c |   24 +++++++++++-------------
 1 files changed, 11 insertions(+), 13 deletions(-)

commit c7111fc33e6fd65d53bc8db25620c9e5ef769234
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 08:52:43 2001 +0000

    Added support for RNFR/RNTO verbs.

 store.c        |   26 ++++++++++++++++++++++++++
 twoftpd-xfer.c |    2 ++
 2 files changed, 28 insertions(+), 0 deletions(-)

commit adf4bc4baa1f4b6d1bb9df7e1fef0961bd8a6dbb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 27 08:52:17 2001 +0000

    Rewrote to use iobuf library for I/O.

 store.c |   62 +++++++++++++++++++++-----------------------------------------
 1 files changed, 21 insertions(+), 41 deletions(-)

commit f4d303960e40e0d2740663cc75cd840f8610fbfb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 24 01:49:22 2001 +0000

    Updated documentation.

 NEWS    |    6 ++++++
 README  |    2 --
 VERSION |    2 +-
 3 files changed, 7 insertions(+), 3 deletions(-)

commit ffd83768e584d15dff223901bfe49f9ccde14f82
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 24 01:44:11 2001 +0000

    Add the proper include files for Linux sendfile.

 retr.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 572c8533211e99754201ccfd9b3a64cd59dae0bc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 24 01:43:57 2001 +0000

    Removed nlst.c

 backend.h |    2 --
 backend=l |    1 -
 2 files changed, 0 insertions(+), 3 deletions(-)

commit 45837f9c01aea6c132e777cc0fef9896cfff194a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 24 01:43:37 2001 +0000

    Merged list and nlst into one module, and added support for listing
    single files.

 list.c |  120 +++++++++++++++++++++++++++++++++++++++++++++++++++-------------
 nlst.c |   22 ------------
 2 files changed, 96 insertions(+), 46 deletions(-)
 delete mode 100644 nlst.c

commit fd3e9d716c6dcedf9f9cdb12b5034ce95004398a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 22:47:29 2001 +0000

    Modified to use the new automatic Linux sendfile test.

 retr.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9785d96fc654f75b3de53aa1099318f31a4cb84a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 22:23:16 2001 +0000

    *** empty log message ***

 README      |    2 +-
 spec        |    5 +++++
 twoftpd.run |    7 +------
 3 files changed, 7 insertions(+), 7 deletions(-)

commit dbf972cbd499422df9a3c917ac2e8bb1990c175b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 09:43:49 2001 +0000

    Fixed typo in calling authenticate.

 twoftpd-auth.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9c20abdeb221afd2dee3f917f7e65ef0a8d21665
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 06:41:50 2001 +0000

    *** empty log message ***

 README |    6 +++---
 spec   |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8179cc00da854e01de6d789854e384458d971824
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 06:40:02 2001 +0000

    Set up anonymous mode properly.

 twoftpd.run |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit b45bec8d13d10f7ae8a88ef264c060639dd498c5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 06:39:41 2001 +0000

    Modified to take the CVM interface into account.

 twoftpd-auth.1 |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 61afc958cc51e6d35723f127684b81ce2c53757a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 06:05:54 2001 +0000

    *** empty log message ***

 NEWS |    7 +++++++
 TODO |   56 ++------------------------------------------------------
 2 files changed, 9 insertions(+), 54 deletions(-)

commit 05f53f5e144628b592bb66db6acf4ecd7daa14bf
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 06:05:47 2001 +0000

    Removed the extraneous frontend library source.

 frontend.c |  100 ------------------------------------------------------------
 frontend.h |   20 ------------
 frontend=l |    1 -
 3 files changed, 0 insertions(+), 121 deletions(-)
 delete mode 100644 frontend.c
 delete mode 100644 frontend.h
 delete mode 100644 frontend=l

commit 5786bbdb7f9ebe37f3ebd837e98f8e35a19fec6c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 05:10:57 2001 +0000

    Rewrote the auth front end to use CVM authentication.

 twoftpd-auth.c |  132 +++++++++++++++++++++++++++++++++++++++++---------------
 twoftpd-auth=x |    4 +-
 2 files changed, 98 insertions(+), 38 deletions(-)

commit 9d141792086c0828af1273f8e2af659a0beb22cb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 05:10:32 2001 +0000

    Added a stub for the "USER" verb as well.

 twoftpd-anon.c |    6 ++++--
 twoftpd-xfer.c |    6 ++++--
 2 files changed, 8 insertions(+), 4 deletions(-)

commit a67ee66e48fac05d65d808b2f179eb6f7c00601b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 04:15:39 2001 +0000

    Use new installer framework.

 insthier.c |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 47903f90175550dd780d1a1d8d4e3db777ed6669
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 04:15:28 2001 +0000

    Bumped up version.

 VERSION |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 87ed8287b5b59baec129bbe63328ccc397983b87
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 23 04:15:19 2001 +0000

    Modified the authentication front-end to take its anonymous
    configuration from environment variables instead of from password table
    lookup.

 frontend.c     |   18 ++++++++++--------
 frontend.h     |    1 -
 twoftpd-auth.1 |   20 +++++++++++++-------
 twoftpd-auth.c |    5 -----
 4 files changed, 23 insertions(+), 21 deletions(-)

commit 9844438e4d555ee1a0fc7b6290eefbcff6b21562
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 21:52:25 2001 +0000

    Added this extra distribution file list.

 EXTRADIST |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)
 create mode 100644 EXTRADIST

commit d3f125222e328699d3e1a98bdcb4623e8d390dae
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 04:42:51 2001 +0000

    *** empty log message ***

 listdir.c   |    5 ++---
 makedist.in |    5 +++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 3d99ac172dff8fb6341d46a1344c52a62c9f7d16
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 04:42:14 2001 +0000

    Adapted for systems without shadow passwords.

 twoftpd-auth.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 6de8186a67a0a826868040e12d87240e87d32e21
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 04:02:46 2001 +0000

    Dropped version number down from 0.5 to 0.4.

 NEWS    |    2 +-
 README  |    2 +-
 VERSION |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 2c633b2ce155461ef50c218b7cc9a84e017c6af1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 03:54:38 2001 +0000

    *** empty log message ***

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 22daf9b47cf48bb91ea5c4ca793c08ab3a5f623f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 03:54:30 2001 +0000

    Make with optimization flags.

 spec |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 2f927964ce26e99b1b69e1bcaa0e8da2c706fb58
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 03:47:24 2001 +0000

    Need to create directories before installing.

 spec |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit cec026af02cb7f202a218506d42f2b5264fe3a33
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 03:46:14 2001 +0000

    Added files necessary for SPAC.

 VERSION        |    1 +
 backend=l      |    9 +++++++++
 frontend=l     |    1 +
 insthier.c     |   12 ++++++++++++
 main=l         |    2 ++
 twoftpd-anon=x |    2 ++
 twoftpd-auth=x |    4 ++++
 twoftpd-xfer=x |    2 ++
 8 files changed, 33 insertions(+), 0 deletions(-)
 create mode 100644 VERSION
 create mode 100644 backend=l
 create mode 100644 frontend=l
 create mode 100644 insthier.c
 create mode 100644 main=l
 create mode 100644 twoftpd-anon=x
 create mode 100644 twoftpd-auth=x
 create mode 100644 twoftpd-xfer=x

commit 37d1fccbc75a73ce17b25128d5ac68597441fa50
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 03:46:00 2001 +0000

    Makefile is no longer necessary.

 Makefile |   65 --------------------------------------------------------------
 1 files changed, 0 insertions(+), 65 deletions(-)
 delete mode 100644 Makefile

commit f7ed0e90d65250d8bc323e512cdaa914e9fabe9f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 03:45:41 2001 +0000

    Renamed source files to match the executables.

 anon.c => twoftpd-anon.c |    0 
 auth.c => twoftpd-auth.c |    0 
 xfer.c => twoftpd-xfer.c |    0 
 3 files changed, 0 insertions(+), 0 deletions(-)
 rename anon.c => twoftpd-anon.c (100%)
 rename auth.c => twoftpd-auth.c (100%)
 rename xfer.c => twoftpd-xfer.c (100%)

commit 12216a096e8aad60113a84eb5afafbaebaf49212
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 03:44:52 2001 +0000

    Modified for use with SPAC.

 makedist.in |    4 ----
 spec        |    9 +++++++--
 2 files changed, 7 insertions(+), 6 deletions(-)

commit 72d1dfccc24ebf37cd9ef779755c77ebe03aedcd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 21 03:44:39 2001 +0000

    *** empty log message ***

 NEWS   |    4 ++++
 README |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 0db66d03db27b624648d85a8cdbc139d5321c0cd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 05:09:10 2001 +0000

    *** empty log message ***

 NEWS |    2 +-
 TODO |    2 --
 2 files changed, 1 insertions(+), 3 deletions(-)

commit b387e2608e26edefe08989220faed1156d012a7e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 05:07:27 2001 +0000

    Fixed a typo.

 list.c   |    2 +-
 socket.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3b1d08f06ca5476dfa57de4881fe461022227104
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 05:06:00 2001 +0000

    Handle timeout in start_connection.

 socket.c |   22 ++++++++++++++++++++--
 1 files changed, 20 insertions(+), 2 deletions(-)

commit e93b5430d9b44cb770988523f1cc5eb6655f3a4b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 04:53:53 2001 +0000

    Log the request even if it isn't known.

 main.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit a26c92d0fe624dfabec00b7e30037b5d5753bfdb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 04:43:08 2001 +0000

    Corrected some inappropriate uses of fixed-size buffers.

 TODO     |    2 --
 list.c   |    5 ++---
 main.c   |    2 +-
 socket.c |   21 ++++++++-------------
 stat.c   |    8 +++++---
 5 files changed, 16 insertions(+), 22 deletions(-)

commit a6a21708155dfb92be997c2aef8a4737057845ce
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 04:30:22 2001 +0000

    Added the "home" global, currently unused.

 backend.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a4cf10c56f07ed032ea60ef3218d121c98beec88
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 04:29:48 2001 +0000

    Fixed a bug in formatting the owner string.

 list.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 664f2b7f7db5191cf72b464c2ca6dd0feb5f35a6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 04:28:19 2001 +0000

    Tweaked the algorithm used by utoa.

 frontend.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 2f4311e308ee916e697ffa230f976d988468057e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 04:27:46 2001 +0000

    Removed the unused "do_chroot" global.

 backend.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 73700804f9d7a8c8e57caff8dc928740cfa87e88
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 03:58:19 2001 +0000

    Export the login user name through $USER.

 auth.c     |    1 +
 frontend.c |    3 ++-
 frontend.h |    1 +
 3 files changed, 4 insertions(+), 1 deletions(-)

commit ffed52a9b63dec27037cf3dca5cf3e0c66d70ff0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 03:45:33 2001 +0000

    *** empty log message ***

 Makefile |   33 ++++++++++++++++-----------------
 TODO     |   53 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 68 insertions(+), 18 deletions(-)

commit 35e3e8b3ca1fbaa8d97fad0fd242ffd12bdb0373
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 03:45:20 2001 +0000

    Header reorganizations.

 anon.c     |    3 +--
 auth.c     |    1 +
 frontend.c |    1 +
 listdir.c  |    1 +
 main.c     |    1 -
 nlst.c     |    1 +
 retr.c     |    1 +
 socket.c   |    1 +
 stat.c     |    1 +
 state.c    |    1 +
 store.c    |    1 +
 xfer.c     |    3 +--
 12 files changed, 11 insertions(+), 5 deletions(-)

commit 3a1e745b09a76728cd52a8c7f492e80baa80f4b8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 03:41:23 2001 +0000

    Export the uid, gid, and user values as globals.

 backend.c |   12 +++++++++---
 backend.h |    4 ++++
 2 files changed, 13 insertions(+), 3 deletions(-)

commit b0b93b8d066b64edd6a6b89e784a657f44c367c6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 03:40:29 2001 +0000

    Modified to use stdio, to avoid the fixed-size buffer.

 respond.c |   21 +++------------------
 1 files changed, 3 insertions(+), 18 deletions(-)

commit 150c45421c404f4be70473fa4d0b294256872699
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 03:38:57 2001 +0000

    Simplified the output list format.

 list.c |   98 ++++++++++++++++++---------------------------------------------
 1 files changed, 28 insertions(+), 70 deletions(-)

commit d085ab8b97c9ee907f5d1e4696db839217e8d22b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Feb 10 03:20:06 2001 +0000

    Reorganized the header file into three parts.

 backend.h  |   50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 frontend.h |   20 ++++++++++++++++++++
 twoftpd.h  |   54 ------------------------------------------------------
 3 files changed, 70 insertions(+), 54 deletions(-)
 create mode 100644 backend.h
 create mode 100644 frontend.h

commit 6118724a765828ab1a0278a76a4f603f4f2bf2c7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 22:36:29 2001 +0000

    Documentation touch ups.

 README |    8 ++++++--
 TODO   |    4 ++++
 2 files changed, 10 insertions(+), 2 deletions(-)

commit c137413f9c27d72bd4c43b1ebb4f10a873a5905a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 22:20:05 2001 +0000

    Broke the authentication portion of the front end into a seperate module.

 Makefile             |   15 ++++----
 NEWS                 |    4 ++
 anon.c               |    2 +
 auth.c               |   96 +++++++++-----------------------------------------
 auth.c => frontend.c |   45 +++++++++--------------
 twoftpd.h            |   16 +++++++-
 xfer.c               |    2 +
 7 files changed, 64 insertions(+), 116 deletions(-)
 copy auth.c => frontend.c (62%)

commit 2721bf7633e995303e05bf07976294741babd22b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 11:23:42 2001 +0000

    *** empty log message ***

 TODO |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 89dc3fdee908e4d84383894e6372ccaef5c26de2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 10:41:29 2001 +0000

    Some more file reorganizations.

 Makefile           |   18 ++++++++------
 format.c => list.c |   58 ++++++++++++++++++++++++++++++++++++++++++++++-
 nlst.c             |   21 +++++++++++++++++
 retr.c             |   63 ----------------------------------------------------
 twoftpd.h          |    9 ++++---
 5 files changed, 92 insertions(+), 77 deletions(-)
 rename format.c => list.c (72%)
 create mode 100644 nlst.c

commit 06bf1d7c46f2babd58f17bd30ed1f2b94777e26d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 06:15:59 2001 +0000

    Fixed documentation bug.

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 30f2dd31506a684ee41e83696dbe9a3fb0cd73f9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 05:39:01 2001 +0000

    *** empty log message ***

 spec |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0f95a74c916512fa11d21adb09df4809af16a58a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 05:33:50 2001 +0000

    *** empty log message ***

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 670a9498459ce81995917b90b65ae69c817a5d49
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 05:32:58 2001 +0000

    Fixed a couple of socket-related bugs.

 backend.c |    4 +++-
 socket.c  |    4 ++--
 twoftpd.h |    1 +
 3 files changed, 6 insertions(+), 3 deletions(-)

commit 41dbf65bd78f9475d2809e130df148d4cd97497a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 05:21:43 2001 +0000

    Added anonymous FTP capability to the front end.

 auth.c |   51 +++++++++++++++++++--------------------------------
 spec   |    7 +++++--
 2 files changed, 24 insertions(+), 34 deletions(-)

commit 76301d042c32efa637749071ac312187f750ed44
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 05:08:30 2001 +0000

    Added anonymous FTP capability.

 NEWS           |    2 +
 README         |   13 +++++----
 TODO           |    3 --
 auth.c         |   76 +++++++++++++++++++++++++++++++++++++++++--------------
 twoftpd-auth.1 |   30 +++++++++++++++++++---
 twoftpd.run    |    4 ++-
 6 files changed, 94 insertions(+), 34 deletions(-)

commit f75034cbdb7d535fe909eb364fe824d862392aba
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 04:31:11 2001 +0000

    Flipped from a NOCHROOT flag to a CHROOT flag, so that the auth front
    end can unconditionally set it for anonymous users.

 backend.c      |    2 +-
 spec           |    1 +
 twoftpd-xfer.1 |    4 ++--
 3 files changed, 4 insertions(+), 3 deletions(-)

commit e5894529d8171f7dc670a9a6f52a8001cef94b62
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 04:25:36 2001 +0000

    Split xfer.c into multiple modules, added anon.c for anonymous back-end.

 Makefile  |   20 +++-
 TODO      |    4 +
 anon.c    |   24 ++++
 backend.c |   45 ++++++
 retr.c    |  120 +++++++++++++++++
 socket.c  |  143 ++++++++++++++++++++
 stat.c    |   24 ++++
 state.c   |   59 ++++++++
 store.c   |   85 ++++++++++++
 twoftpd.h |   42 ++++++-
 xfer.c    |  443 -------------------------------------------------------------
 11 files changed, 562 insertions(+), 447 deletions(-)
 create mode 100644 anon.c
 create mode 100644 backend.c
 create mode 100644 retr.c
 create mode 100644 socket.c
 create mode 100644 stat.c
 create mode 100644 state.c
 create mode 100644 store.c

commit ae16efec6ab19c9badf77fcd7a4e9b5a74f4aa64
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 03:15:09 2001 +0000

    Added in the twoftpd-xfer command-line argument.

 twoftpd.run |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 21e800c63890f81d4d50e687c5c4b6db0ab811e1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 03:12:53 2001 +0000

    *** empty log message ***

 TODO |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 2fc5b8c9d773668be142d5004b3508408f4258ef
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 03:12:48 2001 +0000

    Bumped version from 0.2 to 0.3 for internal release.

 Makefile |    5 ++---
 NEWS     |    2 +-
 README   |   13 +++++++------
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 259f0dcdf62ca1aaa94744f70f53f0359a47f7b8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 03:11:04 2001 +0000

    twoftpd-auth now execs its command-line, like it did before, instead of
    using a hard-coded path.

 auth.c         |    9 ++++++++-
 twoftpd-auth.1 |    1 +
 twoftpd.h      |    2 --
 3 files changed, 9 insertions(+), 3 deletions(-)

commit 80e3590776888ddab6088173afe047654b86e652
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 01:38:31 2001 +0000

    *** empty log message ***

 Makefile |    2 +-
 spec     |    5 +++++
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 02f2e162faf51c1bc1606101088e8bec611c6b1b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 01:35:46 2001 +0000

    Added supervise run scripts.
    Added man pages.

 README          |   15 +++++++++++++--
 TODO            |    4 ++--
 spec            |   18 +++++++++++++++++-
 twoftpd-auth.1  |   25 +++++++++++++++++++++++++
 twoftpd-log.run |    2 ++
 twoftpd-xfer.1  |   35 +++++++++++++++++++++++++++++++++++
 twoftpd.run     |    3 +++
 7 files changed, 97 insertions(+), 5 deletions(-)
 create mode 100644 twoftpd-auth.1
 create mode 100644 twoftpd-log.run
 create mode 100644 twoftpd-xfer.1
 create mode 100644 twoftpd.run

commit 041b51852fc59713b45f7502c49dd83014273234
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 9 00:33:12 2001 +0000

    Added support for using sendfile on Linux when retrieving files.

 xfer.c |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit a33856e576280b545fe94322854e9f2c418e81fe
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 23:37:19 2001 +0000

    Now logs all commands to stderr.

 Makefile  |    5 +++--
 auth.c    |    8 ++++----
 main.c    |   28 +++++++++++++++++++++++-----
 twoftpd.h |    1 +
 xfer.c    |   52 ++++++++++++++++++++++++++--------------------------
 5 files changed, 57 insertions(+), 37 deletions(-)

commit 965184b712e581eb8f8d50649f31a2cdcd7e3a13
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 23:19:09 2001 +0000

    Changed method of executing twoftpd-xfer to use a hard-coded path.

 Makefile  |    2 +-
 README    |    2 +-
 TODO      |    5 +++++
 auth.c    |    5 +----
 twoftpd.h |    4 ++--
 5 files changed, 10 insertions(+), 8 deletions(-)

commit aaf9cc8030e245a1e3262d9f2b7df98466851d9b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 22:37:37 2001 +0000

    Added support for both PASV and PORT connections.
    Added support for STOR and APPE file upload commands.
    Added MDTM, RMD, MKD, and DELE verbs.

 NEWS   |   11 ++-
 TODO   |   14 ++-
 xfer.c |  350 ++++++++++++++++++++++++++++++++++++++++++++++------------------
 3 files changed, 276 insertions(+), 99 deletions(-)

commit 1f56e4049d658a0ca51cccc740bbe587a6a39347
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 12:52:41 2001 +0000

    Fixed some bugs in the timeout handling.

 TODO   |    2 --
 main.c |   13 +++++++------
 xfer.c |    4 +++-
 3 files changed, 10 insertions(+), 9 deletions(-)

commit c1d5cf0364359d695b6f3c9c818685940d665bb2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 12:41:16 2001 +0000

    Handle timeouts in read_request and accept_connection.

 TODO      |    4 ----
 main.c    |   13 ++++++++++++-
 twoftpd.h |    1 +
 xfer.c    |   14 +++++++++++---
 4 files changed, 24 insertions(+), 8 deletions(-)

commit e327f1094f24133ee97481fb0a703caa02638454
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 12:20:29 2001 +0000

    Handle telnet-style escape codes in read_request.

 main.c    |   50 ++++++++++++++++++++++++++++++++------------------
 twoftpd.h |    7 ++++---
 2 files changed, 36 insertions(+), 21 deletions(-)

commit 19ffadd5e1f1965214bf266f1f5848516c21765b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 12:03:36 2001 +0000

    Handle over-long request lines.

 TODO   |    3 ---
 main.c |    3 +++
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 4cbe154e2a50f8a8e00f827f5bd6aab001d02a0e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 11:59:36 2001 +0000

    Bumped up version.

 Makefile |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 334e67215caf2411f0708282de15bd1cc9db5810
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 11:59:28 2001 +0000

    Make chroot a dynamic option based on the presence of the NOCHROOT
    environment variable.

 NEWS     |    5 +++++
 format.c |   19 ++++++++++---------
 xfer.c   |    8 +++++---
 3 files changed, 20 insertions(+), 12 deletions(-)

commit 0b58c5c19482a52a74766b0f318fafea5f8a989f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 09:22:05 2001 +0000

    *** empty log message ***

 makedist.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e946d9d8f3bee61f422ec7716e9b3099c04e13ee
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 09:19:29 2001 +0000

    Added RPM spec file.

 spec |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)
 create mode 100644 spec

commit eebe7abbec3283d43e642b5f35c62fb909d813d7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 09:18:15 2001 +0000

    Set package up for distribution.

 COPYING     |  340 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile    |   27 +++++-
 README      |   36 ++++++
 makedist.in |   53 +++++++++
 4 files changed, 454 insertions(+), 2 deletions(-)
 create mode 100644 COPYING
 create mode 100644 NEWS
 create mode 100644 README
 create mode 100644 makedist.in

commit b210640d3af674f4f9d9d58109ad63a3f0e9ec24
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 09:02:41 2001 +0000

    Re-added in chroot code.
    Made "now" a global.
    Added support for PASV RETR command.

 TODO      |    4 +-
 format.c  |   10 +++-
 main.c    |    1 +
 twoftpd.h |    5 ++-
 xfer.c    |  124 ++++++++++++++++++++++++++++++++++++++++++------------------
 5 files changed, 102 insertions(+), 42 deletions(-)

commit a9a37891aa8aac64b613cd8959b6c4c6389d1a1a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 8 04:17:13 2001 +0000

    Started implementation.

 Makefile  |   26 +++++++
 TODO      |   12 +++
 auth.c    |   77 ++++++++++++++++++++
 format.c  |  125 ++++++++++++++++++++++++++++++++
 listdir.c |   63 ++++++++++++++++
 main.c    |  129 +++++++++++++++++++++++++++++++++
 respond.c |   24 ++++++
 twoftpd.h |   32 ++++++++
 xfer.c    |  241 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 9 files changed, 729 insertions(+), 0 deletions(-)
 create mode 100644 Makefile
 create mode 100644 TODO
 create mode 100644 auth.c
 create mode 100644 format.c
 create mode 100644 listdir.c
 create mode 100644 main.c
 create mode 100644 respond.c
 create mode 100644 twoftpd.h
 create mode 100644 xfer.c
